2004-01-02 01:42  fesnel

	* configure.in: Bump version for RC.

2004-01-02 00:06  fesnel

	* src/mail/rules.cpp: Quick-fix for problem of mmaping a file that
	is a multiple of the page lengths. If we do a search on the file,
	the regexec/strcasestr can run off the end of message buffer and
	segfault. Null last byte during search and restore it afterwards.
	
	Fix was suggestion from Greg Hosler <hosler@lugs.org.sg>.

2003-12-30 01:48  fesnel

	* src/ui/: dialogs.auto, dialogs.fd, dialogs.h, imap_conf.cpp: Back
	out the Use SSL option in the IMAP account screen. It will be
	brought back when SSL support is finished.

2003-12-29 16:57  fesnel

	* src/mail/mbox.cpp: Change this warning to a log message so that
	it's slightly less annoying. It happens for every single message
	moved between an IMAP folder and a local mbox folder. I'm not sure
	why it's happening, but don't pop up a window each time.

2003-12-28 16:13  fesnel

	* src/ui/font.cpp: Fix the ability to add custom fonts.
	
	Based on patch from: Thomas Corner <tacorner@chello.at>

2003-12-23 23:44  fesnel

	* src/ui/inc.cpp: When loading the retrieve sources clear the
	current list first. This prevents double sources appearing during
	the first time run of xfmail.

2003-12-23 00:44  fesnel

	* autogen.sh: Add an option ($DIST_BUILD == YES) to bypass running
	the generated configure script. This will be used for building
	distribution tarballs.

2003-12-22 14:12  fesnel

	* configure.in: Add SOUND_CFLAGS to configure output.

2003-12-22 04:54  fesnel

	* macros/func.m4: Fix the __func__ test so that it actually works
	so we don't needlessly redefine __func__ as _FUNCTION_.

2003-12-22 04:40  fesnel

	* src/ui/: msg.cpp, xfmail.cpp: If the user has selected to
	highlight URL's in the message, then highlight them in the header
	in addition to the body. This works in message preview and full
	message view modes.
	
	Based on patch from: Martin J. Evans <martin@easysoft.com>

2003-12-22 04:04  fesnel

	* src/ui/xfmail.cpp: Correct the new representation of l.

2003-12-19 18:54  fesnel

	* src/ui/xfmail.cpp: Reinvestigate the problem of drag-n-drop. The
	problem is that Xforms won't repaint the folder browser correctly
	when we do a fl_get_browser_dimensions() call on it. Therefore, we
	are tied to having to use the measurements from the messager
	browser and assuming they are similar. However, this is wrong when
	different fonts are used. Document this issue and hopefully trace
	down the xforms problem later.
	
	Correct some of the selection bounding code so we're not passing
	invalid dimensions to xforms.

2003-12-19 02:08  fesnel

	* macros/: check_typedef.m4, func.m4: Add proper quoting.

2003-12-14 07:28  fesnel

	* configure.in: We don't need ranlib with the latest libtool. Also
	switch to autoconf libtool directive.

2003-12-14 07:20  fesnel

	* autogen.sh: We now run libtoolize which should create the libtool
	entry for us.

2003-12-14 06:59  fesnel

	* autogen.sh: Call libtoolize to add all the necessary libtool
	files.

2003-11-20 06:25  fesnel

	* configure.in: Add string.h and strings.h to the list of checked
	header files.

2003-11-20 05:55  fesnel

	* configure.in: Change the AC_INIT/AM_INIT constructs to reflect
	newer API.

2003-11-13 06:10  fesnel

	* autogen.sh: Copy files when installing missing ones...will make
	it easier to distribute.

2003-11-11 05:43  fesnel

	* src/mail/mbox.cpp: Fix a debug printf.

2003-11-11 05:12  fesnel

	* src/: editor/Makefile.am, compface/Makefile.am, mail/Makefile.am,
	regex/Makefile.am, ui/Makefile.am: Don't manually override the user
	specified CFLAGS and CXXFLAGS in the Makefiles. Instead, use the
	automake versions AM_CFLAGS and AM_CXXFLAGS that are added to the
	command line all the same.

2003-11-11 04:40  fesnel

	* src/mail/debug.h: Doh, forgot one file for stdarg change.

2003-11-11 04:37  fesnel

	* src/: include/umail.h, mail/cfgfile.cpp, mail/debug.cpp,
	ui/xfmail.cpp, mail/fmail.h, mail/imap.cpp, mail/nntp.cpp,
	mail/pop.cpp, mail/smtp.cpp: Test for stdarg.h the correct way,
	USE_STDARG --> HAVE_STDARG_H.

2003-11-11 04:12  fesnel

	* configure.in: Only attempt to remove cache file if it isn't set
	to "/dev/null".

2003-11-11 04:08  fesnel

	* acconfig.h, autogen.sh, configure.in, macros/dbm.m4,
	macros/maildir.m4, macros/mmap.m4, macros/prog_chk.m4: Cleanup
	template handling for autoconf 2.57. Remove explicit template file
	acconfig.h and inline templates in configure.in and macros/*.m4
	files.

2003-11-04 20:54  fesnel

	* macros/debug.m4: gcc doesn't like -Wnested-externs and C++ code.

2003-11-04 20:53  fesnel

	* src/ui/spellchecker.cpp: Handle spell checker failing more
	gracefully.

2003-11-04 15:44  fesnel

	* autogen.sh: Attempt to use AUTO* environment variables, if
	available, for locating the auto* tools.

2003-11-04 02:11  cfreeze

	* src/ui/xfmail.cpp: CF - Oops, deleted a few lines in haste, put
	them back.

2003-11-04 02:06  cfreeze

	* src/ui/xfmail.cpp: CF - only save valid geomtries.  Sometimes it
	seems when the window manager is yanked from underneath us, the
	geometries returned don't make much sense.

2003-07-25 03:48  fesnel

	* macros/debug.m4: Remove the redundant declarations warning. It
	was useful and caught some, however with the code that fdesign
	outputs, it's currently way too noisy.

2003-07-24 14:18  fesnel

	* src/ui/: choose_folder.cpp, log.cpp, msg.cpp, pop_smtp.cpp,
	search.cpp, sign.cpp: Remove a few more redundant declarations.

2003-07-24 07:08  fesnel

	* src/ui/choose_folder.h: kill a couple more redundant declarations
	in here

2003-07-24 07:03  fesnel

	* src/mail/smtp.cpp: smtp_auth_account() is declared else where

2003-07-24 07:01  fesnel

	* src/mail/mime.cpp: Remove another redundant declaration.

2003-07-24 06:59  fesnel

	* src/mail/mime.cpp: Remove redundant save_part() declaration.

2003-07-24 06:50  fesnel

	* src/editor/fl_edit.cpp: fl_fdesc is declared in forms.h

2003-07-24 06:34  fesnel

	* macros/debug.m4: Turn up the warnings when --with-debug is
	enabled. Hopefully, catch a lot more problems.

2003-07-24 05:14  fesnel

	* configure.in: add contrib/misc/Makefile to output files

2003-07-24 05:04  fesnel

	* contrib/misc/Makefile.am: don't wrap last line

2003-07-24 05:02  fesnel

	* contrib/Makefile.am: XFMail2Archimedes.sh doesn't exist

2003-07-20 15:37  fesnel

	* TODO: Add support for utf-8 to the internationalization item.

2003-07-20 15:25  fesnel

	* src/ui/font.cpp: Kill some warnings.

2003-07-19 00:38  fesnel

	* src/ui/: dialogs.auto, dialogs.fd, dialogs.h, font.cpp: Now that
	character set style and size has moved, remove them from the
	character set menu -- we already have this information under
	appearance. Also move the remaining fields around some to use the
	space better.

2003-07-19 00:15  fesnel

	* src/ui/xfmail.cpp: add newline that got removed accidently.

2003-07-19 00:12  fesnel

	* src/: include/umail.h, mail/fmail.h, mail/mime.cpp,
	ui/addrbook.cpp, ui/font.cpp, ui/msg.cpp, ui/pgp.cpp,
	ui/xfmail.cpp: Separate the character set font style and font size
	settings from the character set table in libmail -- moved to UI
	portion. With the transition, add a character set code -> XFLD font
	suffix that allows us to choose the correct font to use for the
	different ISO standards. We now combine the correct XFLD suffix
	with the font style choosen by the user to get the proper font for
	the character set.
	
	Further abstract some of the character set lookup methods.

2003-07-19 00:08  fesnel

	* src/ui/help.txt: Document default to.

2003-07-17 23:41  fesnel

	* src/mail/pop.cpp_tmp: Unused file.

2003-07-17 23:27  fesnel

	* man/xfmail.1, src/include/umail.h, src/include/version.h.in,
	src/ui/dialogs.auto, src/ui/dialogs.fd, src/ui/dialogs.h: Crank
	copyright.

2003-07-17 23:05  fesnel

	* src/ui/: about.cpp, child.cpp, choose_folder.cpp,
	choose_folder.h, config.cpp, configform.h, dialogs.cpp, faces.cpp,
	font.cpp, help.cpp, imap_conf.cpp, inc.cpp, int_conf.cpp,
	keymap.cpp, log.cpp, mime_conf.cpp, misc.cpp, msg.cpp, newobjs.h,
	pgp.cpp, pixmaps.h, pop_smtp.cpp, rep_fwd.cpp, rules.cpp,
	search.cpp, sign.cpp, sort.cpp, spellchecker.cpp, spellchecker.h,
	tip.cpp, view_edit.cpp, xfmail.cpp, xfmail.h: Crank copyright.

2003-07-17 23:00  fesnel

	* src/mail/: addrbook.cpp, addrbook.h, addrbookdb.cpp,
	addrbookdb.h, addrbookentry.cpp, addrbookentry.h, cache.cpp,
	cfgfile.cpp, cfgfile.h, compat.h, connection.cpp, connection.h,
	connectionManager.cpp, connection_ssl.cpp, connection_ssl.h,
	debug.cpp, debug.h, fldap.h, fmail.cpp, fmail.h, gpasswd.cpp,
	gpasswd.h, imap.cpp, ldap.cpp, mailaddr.cpp, mailaddr.h, mbox.cpp,
	mime.cpp, msg.cpp, nntp.cpp, openssl.cpp, openssl.h, pgp.cpp,
	pgp.h, pointerwrapper.cpp, pointerwrapper.h, pop.cpp, rules.cpp,
	smtp.cpp, sound.cpp, util.cpp, uucode.h: Crank copyright.

2003-07-17 22:56  fesnel

	* src/ui/xfmail.cpp: Be a little less noisy on startup...plus crank
	copyright.

2003-07-17 15:45  fesnel

	* src/mail/fmail.cpp: Need to sort by type in no sort mode also,
	otherwise IMAP folders get intermingled with mbox folders.

2003-07-17 15:21  fesnel

	* src/mail/fmail.cpp: Revisit some of the folder search issues. If
	the user has selected NO_SORT, then do only the ancestor sorting
	(required to keep the folder structure) and then a sort based upon
	whether the folder is a system folder or not. This will keep the
	system folders at the top, but shouldn't sort the system folders
	with respect to each other.
	
	You can't manually specify the order by editing .xfmfolders yet,
	but that's a problem elsewhere which I'm going to look into.

2003-07-17 02:58  fesnel

	* src/ui/sort.cpp: style fix

2003-07-17 02:25  fesnel

	* src/mail/imap.cpp: Make the Unknown flag message a little less
	intrusive.

2003-07-17 02:22  fesnel

	* src/mail/imap.cpp: Ignore the 'NonJunk' imap flag. Its purpose is
	currently unknown, but supposedly some ISP's are returning it.
	
	Reported by: Tom Corner

2003-07-17 02:02  fesnel

	* src/ui/: msg.cpp, rules.cpp, sort.cpp, view_edit.cpp: Fix some
	signed/unsigned comparison warnings.

2003-07-17 01:49  fesnel

	* src/editor/fl_edit.cpp: Fix signed/unsigned comparison.

2003-07-17 01:35  fesnel

	* src/ui/faces.cpp: Use WITH_FACES to hide more faces-only
	variables.

2003-07-17 01:19  fesnel

	* src/mail/: cfgfile.cpp, fmail.cpp: Remove unused variables.

2003-07-17 01:15  fesnel

	* src/ui/Makefile.am: Add one more level of dependencies --
	help.cpp should depend on help.h so that it's generated.

2003-07-16 22:24  fesnel

	* src/mail/fmail.cpp: When forwarding a message, create_message()
	already sets the default from/to, so we don't need to reset the
	from address in get_fwd_msg(). However, we do need to discard the
	To address for reasons previously stated.

2003-07-16 22:04  fesnel

	* TODO, src/mail/fmail.cpp, src/mail/fmail.h,
	src/ui/choose_folder.cpp, src/ui/dialogs.auto, src/ui/dialogs.fd,
	src/ui/dialogs.h, src/ui/sort.cpp, src/ui/xfmail.cpp: Add a default
	To: based on folder.
	
	The default To: is handled slightly different from the default
	From, in that we only use it for new messages. Adding it for a
	forward message isn't as practical, since if a user is forwarding a
	message from a folder, it is unlikely that they want to foward it
	back to the same folder.

2003-07-16 19:39  fesnel

	* src/ui/xfmail.cpp: GC unused code.

2003-07-13 04:46  fesnel

	* src/mail/fmail.cpp: Don't decrease the mmap length if it's a
	multiple of the blocksize.

2003-07-13 04:35  fesnel

	* src/mail/fmail.cpp: GC unused code.

2003-06-22 02:42  fesnel

	* autogen.sh: *Ignore* forced commit to test syncmail output

2003-06-21 05:51  fesnel

	* autogen.sh, src/ui/Makefile.am: List help.txt as a dependency of
	help.h so it's regenerated properly. This removes the need to run
	help_gen from autogen.sh.

2003-06-21 05:46  fesnel

	* src/ui/help.txt: oops...escape double quote

2003-06-21 05:36  fesnel

	* src/ui/help.txt: Document the new single quote IMAP option.

2003-06-21 05:15  fesnel

	* .cvsignore, contrib/.cvsignore, contrib/misc/.cvsignore,
	data/.cvsignore, man/.cvsignore, src/.cvsignore,
	src/compface/.cvsignore, src/editor/.cvsignore,
	src/include/.cvsignore, src/mail/.cvsignore, src/regex/.cvsignore,
	src/ui/.cvsignore: Make life a little easier by reducing the 30-50
	lines CVS craps out every time an operation is performed. Feel free
	to add to these as needed.

2003-06-21 04:51  fesnel

	* src/: mail/fmail.h, mail/imap.cpp, ui/dialogs.auto,
	ui/dialogs.fd, ui/dialogs.h, ui/imap_conf.cpp: Add an IMAP option
	to prevent delimiting IMAP quoted with a single (') quote. The IMAP
	rfc says that only double quotes are used, but there might be some
	servers out there that don't conform, so support this compatibility
	option.

2003-06-20 16:13  fesnel

	* src/mail/: fmail.cpp, uucode.cpp: Fix off-by-one errors.
	
	Submitted by: Anil Madhavapeddy <anil@recoil.org>

2003-06-20 16:06  fesnel

	* src/ui/font.cpp: Fix off-by-one in sscanf.
	
	Submitted by: Anil Madhavapeddy <anil@recoil.org>

2003-06-18 01:01  fesnel

	* autogen.sh: -a == --add-mising, so don't need to specify twice

2003-06-14 05:24  fesnel

	* src/: mail/fmail.cpp, ui/pop_smtp.cpp: Set more sensible
	defaults: set "save to sent_mail" to true by default, since we
	create the sent_mail mailbox by default.

2003-06-14 05:18  fesnel

	* src/ui/: misc.cpp, xfmail.cpp: Set more sensible defaults: "empty
	trash on exit" should be false by default.

2003-06-10 12:13  bears

	* src/mail/imap.cpp: Watch out for (and handle) escaped quotes when
	scanning IMAP strings.

2003-06-10 12:11  bears

	* src/mail/mailaddr.cpp: Remove redefinition of default value for
	'flags' from parseAddressString().

2003-06-10 12:08  bears

	* src/mail/: fmail.cpp, imap.cpp, mbox.cpp, pop.cpp: Change
	remaining FACES to WITH_FACES to XFace sending works again.

2003-05-28 00:41  fesnel

	* src/mail/: mailaddr.cpp, mailaddr.h: Add boolean comparison
	operators.

2003-05-28 00:24  fesnel

	* src/mail/mailaddr.cpp: Implement all remaining methods. Stole
	(and improved) address parser from get_address() and added
	MailAddress->address line method.

2003-05-25 00:12  fesnel

	* src/mail/pop.cpp: Fix memory leak -- call va_end().

2003-05-25 00:10  fesnel

	* src/mail/pop.cpp: Don't try sending a pop command if the
	connection has already been closed. This can happen frequently
	since the POP code likes to call pop_end() whenever there's a
	failure.

2003-05-17 03:02  fesnel

	* src/mail/smtp.cpp: Fix SMTP sending -- if the smtp host has an
	account setup, don't always fail after trying authentication.

2003-05-16 20:58  fesnel

	* TODO: It would be nice to support .mh_sequences in the future.

2003-05-16 17:29  fesnel

	* src/mail/fmail.cpp: Looks like 1.55 was a bad idea; segfaults on
	smtp sending. Backout until I can look into this more thoroughly.

2003-05-16 05:55  fesnel

	* configure.in, macros/pthread.m4: If the user does not want thread
	support (--with-threads) then don't link against the pthreads
	library.

2003-05-16 03:15  fesnel

	* src/mail/fmail.cpp: I think this mmap should be wrapped with
	MMAP_MSG; gawd this mmaping code is ugly.
	
	Noticed by: Greg Hosler

2003-05-11 14:40  fesnel

	* src/mail/: connection_ssl.cpp, connection_ssl.h, openssl.cpp:
	Extend the coverage of WITH_SSL to better support compiling without
	SSL.

2003-04-26 02:49  cfreeze

	* src/mail/fmail.cpp: CF - fixed print command optimization that I
	broke a while back.  Fixes bug reported by corner@chello.at.

2003-04-26 02:07  cfreeze

	* src/mail/fmail.cpp: CF - fix overly long From: lines that caused
	a segfault.  Other fields may be problematic as well.  Reported by
	Kurt Kleiner <kleiner@twohacks.com>.

2003-04-26 01:11  cfreeze

	* TODO: CF - Added Default To: request from Andy Harrison
	<ah42@httpsite.com>

2003-04-21 01:08  duncan_haldane

	* src/mail/: smtp.cpp, smtp_auth.cpp, smtp_auth.h:  fixes to make
	authenticated smpt RFC-compliant, (suggestions
	from Greg Hosler),

2003-04-15 22:53  fesnel

	* src/ui/mime_conf.cpp: Fix incorrect buffer bound.
	
	Found by: Anil Madhavapeddy <anil@recoil.org>

2003-04-09 04:51  fesnel

	* src/mail/: mailaddr.cpp, mailaddr.h: Add support to convert a
	MailAddress to and from a struct _mail_addr.

2003-04-03 17:34  fesnel

	* src/mail/mbox.cpp: Whitespace cleanup, align preprocessor symbols
	to left margin.

2003-04-02 16:48  fesnel

	* src/ui/msg.cpp: If there is no longer a message in the message
	array, simply return. This prevents segfaulting later on.

2003-03-25 03:22  cfreeze

	* src/mail/fmail.cpp: CF - reverted changes back till I have more
	time on the weekend.  Looks like the NO_SORT flag is not getting
	saved, as the if stmnt at the top never catches a (folder_sort &
	0x0f) == NO_SORT.

2003-03-25 02:52  cfreeze

	* src/mail/fmail.cpp: CF - more folder sort clean up

2003-03-25 02:46  cfreeze

	* src/mail/fmail.cpp: CF - thought I fixed this on my last commit
	from the weekend.

2003-03-23 03:29  cfreeze

	* src/mail/fmail.cpp: CF - reworked the sort a bit to not sort
	system folders as well as those marked NO_SORT.

2003-03-22 23:39  cfreeze

	* src/mail/mbox.cpp: Patch from Ralf Hoffmann
	<masterboomerang@web.de>.
	
	gdb shows me src/mail/mbox.cpp:2135, it looks like a buffer
	overflow.  I assume a problem in line 2131-2134 and attached a
	patch (...-rh1.diff) which correct the len variable to the correct
	value (in my eyes). It works for me but I'm really not sure if this
	is the correct solution or if I could lose some mail information
	because of the reduced length so please double-check the patch.

2003-03-22 23:37  cfreeze

	* src/ui/xfmail.cpp: Patch from Ralf Hoffmann
	<masterboomerang@web.de>.
	
	Second thing which isn't really a bug (atleast not a critical one):
	When dragging a mail into a folder, the highlighted folder isn't
	under the mouse cursor (I think this only happens with activated
	preview window).

2003-03-22 19:56  cfreeze

	* src/mail/: connection.h, connectionManager.cpp, connection_ssl.h:
	CF - removed old debug, made destructors virtual to match the fact
	that virtual funcs existed.

2003-03-22 19:43  cfreeze

	* src/mail/fmail.cpp: CF - cleaned folder compare method a bit,
	still not sure it's working like  advertised.  Also made string
	compares caseless on name sorts.

2003-03-22 19:06  cfreeze

	* src/mail/pgp.cpp: CF - Added +force to avoid a background window
	waiting for input on PGP 6.5.8.
	
	Found by Andy Harrison <ah42@httpsite.com>.

2003-03-21 20:01  fesnel

	* src/mail/mime.cpp: Initialize length to zero before using --
	prevents use of uninitialized variable.

2003-03-19 17:05  fesnel

	* src/mail/smtp.cpp: Don't scan the smtp commands using sscanf()
	since we can't read in space separated items.
	
	Reported in bug report: Sergio R. Caprile <scaprile@hotpop.com>

2003-03-02 21:43  cfreeze

	* autogen.sh, src/mail/fmail.h: CF - fix compile problems on Redhat
	8.x

2003-02-24 17:44  fesnel

	* src/ui/inc.cpp: Call 'set_menu_imap()' after adding the IMAP
	source to the retrieve_srcs list. Therefore, IMAP sources show up
	in the drop down menu immediately.

2003-02-24 07:36  fesnel

	* src/mail/: Makefile.am, mailaddr.cpp, mailaddr.h: Add the
	beginnings of a 'struct _mail_addr' replacement. The classes
	MailAddress and MailAddressList will slowly replace all the uses of
	'struct _mail_addr' in the base code and all the various mail
	address utility functions will be folded into the MailAddress
	class. Support will be added so these classes and 'struct
	_mail_addr' can coexist, therefore allowing us the ability to
	incrementally switch over to these classes.
	
	The MailAddress and MailAddressList classes will allow alot more
	functionality in a variety of the sub-systems. For example, the
	AddressBook code can be made a lot simpler.

2003-02-24 07:19  fesnel

	* src/ui/Makefile.am: Remove header from _SOURCES line, mkdep
	ensures we have the correct dependencies.

2003-02-24 07:17  fesnel

	* src/mail/Makefile.am: Remove header files from the _SOURCES line.
	mkdep will ensure we have the correct header dependencies.

2003-02-23 20:18  cfreeze

	* src/mail/: fmail.cpp, pop.cpp: CF - more thread mods

2003-02-23 19:49  cfreeze

	* src/ui/help.txt: CF - added vt.edu LDAP example.

2003-02-23 19:26  cfreeze

	* Copyright, src/ui/help.txt: CF - update some of the dates.

2003-02-23 19:25  cfreeze

	* src/mail/pop.cpp: CF - working on the WITH_THREADS

2003-02-23 18:15  cfreeze

	* macros/pthread.m4: CF - update both sets of flags on WITH_THREADS

2003-02-23 18:10  cfreeze

	* src/include/umail.h: CF - updated to WITH_FACES

2003-02-23 18:07  cfreeze

	* src/mail/: Makefile.am, ldap.cpp: CF - cleanup, and cfgfile
	updates.

2003-02-23 17:52  cfreeze

	* configure.in: CF - left this commented out...

2003-02-23 17:50  cfreeze

	* acconfig.h, configure.in, macros/faces.m4, macros/ldap.m4,
	macros/openssl.m4, macros/pthread.m4, src/compface/Makefile.am,
	src/mail/Makefile.am, src/mail/addrbook_util.cpp,
	src/mail/connectionManager.cpp, src/mail/connection_ssl.cpp,
	src/mail/connection_ssl.h, src/mail/fldap.h, src/mail/fmail.cpp,
	src/mail/fmail.h, src/mail/ldap.cpp, src/mail/openssl.cpp,
	src/mail/openssl.h, src/mail/pop.cpp, src/mail/smtp.cpp,
	src/ui/Makefile.am, src/ui/choose_folder.h, src/ui/config.cpp,
	src/ui/configform.h, src/ui/faces.cpp, src/ui/msg.cpp,
	src/ui/pop_smtp.cpp, src/ui/xfmail.cpp: CF - moving from
	HAVE_feature or USE_feature to WITH_feature.  The HAVE_ should be
	used for functions/methods used under the hood not a feature that
	the user requested.

2003-02-23 16:25  cfreeze

	* src/ui/: dialogs.auto, dialogs.fd, dialogs.h, fdesign.txt,
	help.txt, imap_conf.cpp: CF - added IMAP/SSL option on config. 
	Updated help.txt.

2003-02-23 04:33  cfreeze

	* src/ui/: addrbook.cpp, choose_folder.cpp, faces.cpp, font.cpp,
	help.cpp, inc.cpp, keymap.cpp, log.cpp, misc.cpp, msg.cpp,
	pop_smtp.cpp, rep_fwd.cpp, search.cpp, sign.cpp, spellchecker.cpp,
	view_edit.cpp, xfmail.cpp: CF - finished updating to the full
	cfgfile fix for the src/ui directory.

2003-02-23 04:02  cfreeze

	* src/mail/: cache.cpp, cfgfile.cpp, cfgfile.h, fmail.cpp, fmail.h,
	mime.cpp, nntp.cpp, pgp.cpp, smtp.cpp: CF - started the real fix
	for the cfgfile bug found in 1.5.4.  The cfgfile class no longer
	has CString() methods.	The src/mail directory has been fully
	updated.

2003-02-23 03:03  cfreeze

	* src/mail/: connectionManager.cpp, connection_ssl.cpp,
	connection_ssl.h: CF - removed hard coding, added TLS starter.

2003-02-23 01:28  cfreeze

	* src/mail/: cfgfile.cpp, cfgfile.h: CF - moving cfgfile class off
	to a singleton.

2003-02-23 01:20  cfreeze

	* src/mail/: connectionManager.cpp, openssl.cpp: CF - removed dupe
	comment

2003-02-23 01:18  cfreeze

	* src/mail/openssl.cpp: CF - oops, cerr wasn't defined

2003-02-23 01:11  cfreeze

	* src/mail/: Makefile.am, connectionManager.cpp,
	connection_ssl.cpp, openssl.cpp, openssl.h: CF - added missing
	header to openssl.cpp, removed unneeded ones from Makefile.am

2003-02-23 00:42  cfreeze

	* src/: include/connectionManager.h, mail/connectionManager.cpp,
	mail/connection_ssl.cpp, mail/openssl.cpp, mail/openssl.h: CF -
	forgot to call init_SSL()

2003-02-23 00:16  cfreeze

	* src/mail/connectionManager.cpp: CF - tmp hard coding for testing

2003-02-23 00:02  cfreeze

	* src/mail/: connection.cpp, connection.h, connection_ssl.cpp,
	connection_ssl.h, openssl.cpp: CF - first pass at getting an SSL
	connection to work

2003-02-22 22:59  cfreeze

	* src/mail/: Makefile.am, openssl.cpp, openssl.h: CF - start of
	OpenSSL specific code

2003-02-22 22:46  cfreeze

	* configure.in: CF - removed unneeded check

2003-02-22 22:44  cfreeze

	* acconfig.h: CF - added acconfig support

2003-02-22 22:43  cfreeze

	* configure.in, macros/openssl.m4: CF - added --with-ssl=PREFIX
	macro to configure

2003-02-22 22:15  cfreeze

	* src/mail/: cfgfile.h, connection_ssl.cpp, connection_ssl.h: CF -
	strange header dependencies found...mark for later..

2003-02-22 21:42  cfreeze

	* src/ui/version.src: CF - bump version

2003-02-22 21:42  cfreeze

	* src/include/: connectionManager.h, umail.h: CF - misc cosmetic
	clean ups

2003-02-22 21:37  cfreeze

	* src/mail/Makefile.am: CF - fix typo

2003-02-22 21:33  cfreeze

	* src/mail/: Makefile.am, connection.cpp, connection.h,
	connection_ssl.cpp, connection_ssl.h: CF - start of SSL support

2003-02-22 21:23  cfreeze

	* src/mail/connection.h: CF - misc cosmetic cleanups

2003-02-22 21:22  cfreeze

	* src/mail/: cfgfile.cpp, cfgfile.h: CF - misc cosmetic clean ups

2003-02-15 20:32  cfreeze

	* src/ui/pgp.cpp: CF - gave it a once over, cleaning out old
	debugging

2003-02-15 20:30  cfreeze

	* src/ui/help.txt: CF - removed nonexistent key server.

2003-02-15 00:40  cfreeze

	* src/mail/: cfgfile.cpp, cfgfile.h: CF - temporary fix for the
	cfgfile error when dealing with newer GNU tools.

2003-02-11 03:05  cfreeze

	* src/: mail/cfgfile.cpp, mail/cfgfile.h, ui/pgp.cpp: CF - found
	problem with cfgfile code.  Seems like the STL implementation has
	changed with newer releases of gnu tools.  On the GetCString
	methods we were returning a c_str() on a locally declared string. 
	Problem is that the locally declared string goes out of scope, so
	the return c_str() is bogus.

2003-02-05 00:37  cfreeze

	* ChangeLog: CF - updated changelog for release.

2003-01-16 18:04  fesnel

	* src/mail/fmail.h: uid should be a long

2003-01-05 06:50  fesnel

	* src/mail/nntp.cpp: Don't send a va_list through as a '...',
	change to vsnprintf().
	
	Found by: bento build on Alpha	    
	(http://bento.freebsd.org/errorlogs/alpha-5-latest/xfmail-1.5.3.log
	)

2002-12-30 18:49  fesnel

	* src/mail/smtp.cpp: Convert length parameter to unsigned type to
	remove warnings.

2002-12-30 18:38  fesnel

	* src/mail/rules.cpp: Change the type of the last argument to
	match_msg() to unsigned int.

2002-12-30 18:35  fesnel

	* src/mail/pop.cpp: fwrite() returns a number of objects written,
	not EOF

2002-12-30 18:12  fesnel

	* src/mail/fmail.cpp: Typecast MAP_FAILED to char* in a few more
	places.

2002-12-30 06:56  fesnel

	* src/mail/: fmail.cpp, mbox.cpp: If we cast the return of mmap()
	to a char *, we must cast MAP_FAILED to the same.
	
	Reported by: Raphael Mankin <raph@panache.demon.co.uk>

2002-12-30 06:48  fesnel

	* acconfig.h, configure.in, src/mail/addrbookentry.cpp: Add test
	for determining whether the system supports fseeko/ftello.
	
	Reported by: Raphael Mankin <raph@panache.demon.co.uk>

2002-12-26 06:02  fesnel

	* macros/dbm.m4: Test for gdbm installations that have the dbm
	compatability functions in the separate library 'gdbm_compat'.
	Include both -lgdbm and -lgdbm_compat in LIBS for this case.

2002-12-22 05:51  fesnel

	* configure.in: We save the error condition and error message in
	$cv_error and $cv_error_txt, respectively. Use these instead of
	$xfmail_error and $xfmail_error_txt.

2002-12-22 04:34  fesnel

	* configure.in, macros/func.m4, src/compface/Makefile.am,
	src/editor/Makefile.am, src/mail/Makefile.am,
	src/regex/Makefile.am, src/ui/Makefile.am: Add a test to determine
	whether the compiler defines '__func__'. If it is not defined,
	define it as __FUNCTION__ which should be supported.

2002-12-19 05:33  fesnel

	* src/mail/: addrbook.cpp, addrbookentry.cpp, addrbookentry.h: Add
	entries into the address book in sorted order.

2002-12-19 05:09  fesnel

	* src/ui/addrbook.cpp: Remove debug printf.

2002-12-19 05:06  fesnel

	* src/ui/addrbook.cpp: When adding a new alias, only add it to the
	addressbook if the user enters addresses.

2002-12-19 04:56  fesnel

	* src/: mail/addrbookdb.cpp, mail/addrbookdb.h, ui/addrbook.cpp:
	Save a list of deleted books so if the user selects to save
	changes, we can actually delete the book files from the HD.

2002-12-05 20:34  fesnel

	* src/ui/: config.cpp, configform.h, pop_smtp.cpp: Wrap all
	references to ldap in HAVE_LDAP checks. This prevents having an
	LDAP configuration tab when there's no ldap support compiled in.

2002-12-02 19:19  fesnel

	* src/mail/: fmail.h, pop.cpp: Sync. the size of the pop response
	buffer with the temporary buffers in pop.cpp to prevent overflowing
	the pop response buffer. Convert to using snprintf() also.
	
	Reported by: martin@easysoft.com

2002-11-24 18:44  fesnel

	* src/mail/cache.cpp: Convert some strcpy()'s to snprintf()'s.

2002-11-24 14:41  fesnel

	* src/ui/pop_smtp.cpp: SMTP delivery is a fairly common option, we
	shouldn't warn the user about selecting it.

2002-11-24 06:05  fesnel

	* src/ui/pop_smtp.cpp: Only focus on the password field when we
	already have a username, otherwise focus on the username field
	first.

2002-11-24 04:58  fesnel

	* src/ui/addrbook.cpp: Test correct string.
	
	Found with: valgrind

2002-11-24 04:40  fesnel

	* src/include/connectionManager.h: Style: use correct indenting.

2002-11-24 04:39  fesnel

	* src/: include/connectionManager.h, mail/connectionManager.cpp:
	Convert the connections list to a list of pointers to better
	accomodate the use of dynamic structures. This closes some memory
	leaks and prevents some free'd memory accesses.
	
	Found with: valgrind

2002-11-24 03:36  fesnel

	* src/ui/inc.cpp: Fix incorrect logic for determining whether an
	account name was valid. Now allows hiphens and periods in the
	account name.
	
	Spotted by: Christian Brandes <christian.brandes@gmx.de>

2002-11-23 23:50  fesnel

	* src/include/connectionManager.h: Don't need to include <list> and
	<string> here.

2002-11-23 19:22  fesnel

	* src/mail/imap.cpp: When removing the unused address from the
	addresslist, discard its memory region. Closes a memory leak.
	
	Found with: valgrind

2002-11-23 07:34  fesnel

	* src/mail/fmail.cpp: Revert revision 1.39 and change it to only
	discard the spec struture when the folder is MBOX.
	
	found with: valgrind

2002-11-23 06:36  fesnel

	* src/ui/msg.cpp: Mbox messages don't appear to be loaded when they
	are displayed, therefore we lead to a problem in mime_scan(). In
	mime scan, we create a mime structure for the message, then call
	msg->get_file(), which calls mime_scan() again, etc.
	
	Fix this potential infinite loop and some memory corruption by just
	assuring we load the message beforehand.

2002-11-23 04:33  fesnel

	* src/mail/mbox.cpp: Calling lockfolder() on an mbox file can cause
	the file descriptor to change. Therefore we must re-retrieve the
	file descriptor after calling lockfolder().
	
	Found with: valgrind

2002-11-22 16:32  cfreeze

	* configure.in, src/ui/version.src: CF - bumped version info for
	CVS

2002-11-22 05:25  cfreeze

	* src/mail/ldap.cpp: CF - think I have this ldap code figured out. 
	added more meaningful output to the user on a failed search.

2002-11-22 04:52  cfreeze

	* src/mail/ldap.cpp: CF - more debug along with the possible reason
	that LDAP failes for some users.  The current build *might* work
	with OpenLDAP 2.x.  Won't know more until I finish setting up 2.x
	locally.

2002-11-22 04:41  fesnel

	* src/mail/mbox.cpp: Cleanup some strcpy()'s and replace with
	snprintfs. Also replace some hard coded buffer lengths.

2002-11-22 04:24  cfreeze

	* src/mail/ldap.cpp: CF - clean formating, add some debugging.

2002-11-22 03:48  cfreeze

	* src/mail/addrbook_util.cpp: CF - missing include when using
	--with-ldap

2002-11-22 03:38  cfreeze

	* macros/debug.m4: CF - remove old debug output

2002-11-22 03:37  cfreeze

	* configure.in: CF - change order of output in configure.

2002-11-22 03:18  cfreeze

	* configure.in: CF - add more output from the configure run.

2002-11-22 03:17  fesnel

	* src/mail/: fmail.cpp, mbox.cpp: mmap returns MAP_FAILED on
	failure.

2002-11-22 03:04  fesnel

	* src/mail/fmail.cpp: Since we assure that we don't mmap() a
	multiple of the pagesize, the rest will be zero-filled. Therefore,
	don't NULL terminate a region that might be outside the area we
	allocate. Leads to errors in memory debuggers.
	
	Found with: valgrind

2002-11-22 02:31  fesnel

	* src/ui/xfmail.cpp: Since free_sources() free()'s the spec
	structure for the sources, delay calling it until after we discard
	folders. Some of the close folder functions reference the spec
	structure (eg. imap).

2002-11-22 02:12  fesnel

	* src/mail/pop.cpp: oops...should try compiling first...

2002-11-21 23:24  fesnel

	* src/mail/fmail.cpp: Dicarding a folder shouldn't deallocate the
	spec. source, since it's used elsewhere.

2002-11-21 23:14  fesnel

	* src/mail/pop.cpp: pop_in == pop_out, so any fclose() one of them.
	Also fix a logic bug.

2002-11-19 22:12  fesnel

	* src/mail/cfgfile.cpp: Don't use dynamically allocated C++
	strings, instead just construct them normally. Closes some memory
	leaks.
	
	Found with: valgrind

2002-11-19 22:02  fesnel

	* src/mail/: cfgfile.cpp, cfgfile.h: C++ string's can be
	constructed from C strings, therefore shrink the cfgfile interface
	to only include the C++ string versions.

2002-11-19 05:58  fesnel

	* src/mail/imap.cpp: imap_in == imap_out, so don't call fclose() on
	both of them.
	
	Spotted by: valgrind

2002-11-19 03:32  fesnel

	* src/ui/xfmail.cpp: Const cast these for right now.

2002-11-19 03:15  fesnel

	* src/mail/addrbookdb.h: Need access to this iterator too, so
	inherit list<> public.

2002-11-18 08:35  fesnel

	* src/mail/: fmail.cpp, fmail.h: const'ify some functions

2002-11-18 08:16  fesnel

	* src/mail/fmail.cpp: Don't qsort() a C++ vector, since the vector
	relies on bracket operator overloading (could be bad). Instead, use
	the C++ sort() fuction. Change comparison function slightly to
	match changes.

2002-11-18 07:06  fesnel

	* src/mail/: addrbook.cpp, addrbook.h, addrbookdb.cpp,
	addrbookdb.h, addrbookentry.cpp, addrbookentry.h,
	pointerwrapper.cpp, pointerwrapper.h: Add the standard copyright
	header to all these files.

2002-11-18 06:59  fesnel

	* src/mail/: pointerwrapper.cpp, pointerwrapper.h: Add the
	PointerWrapper class which will be used for wrapping the large
	number of malloc'd structures we have. By doing this, we can
	automatically have our malloc()'d regions free()'d at shutdown,
	which will make it easier to detect memory leaks when using
	programs like dlmalloc.

2002-11-18 03:16  fesnel

	* src/mail/fmail.cpp: Restructure some code to remove an unnecesary
	goto.

2002-11-18 02:25  fesnel

	* src/mail/fmail.cpp: Instead of manually removing an element from
	a C++ vector, use vector's erase method to do the removal.

2002-11-18 01:57  fesnel

	* src/mail/fmail.cpp: Replace some strcat/str[n]cpy's with snprintf
	to avoid any potential overflow. Fix two memory leaks when using
	realloc().

2002-11-17 23:41  fesnel

	* src/mail/addrbook_util.cpp: Remove old code.

2002-11-16 04:57  fesnel

	* src/mail/addrbook.h: We need access to AddressBook::iterator, so
	we must inherit list<> publicly.
	
	Spotted by: CF

2002-11-15 18:28  fesnel

	* src/mail/: cache.cpp, fmail.cpp, nntp.cpp: Convert some possibly
	unsafe string handling of head_field::f_name to using snprintf().

2002-11-14 22:33  fesnel

	* src/: mail/addrbook_util.cpp, mail/addrbook_util.h,
	ui/addrbook.cpp: Restore the text-file import method, recoded to
	match the new import method handling. Fix some misc. bugs dealing
	with importing.

2002-11-14 22:29  fesnel

	* src/mail/mime.cpp: Style: reindent and add some spaces for easier
	readability

2002-11-14 17:43  fesnel

	* src/mail/imap.cpp: plist_getnext() frees 'imap->elem', so don't
	prematurely free it in fetch_process(). This caused crashes when
	run with a memory debugger that did memory scrubbing.

2002-11-13 18:40  fesnel

	* src/mail/addrbookdb.cpp: Use autoconf's more portable way of
	acessing 'dirent->d_namlen'.
	
	Spotted by: Martin J. Evans <martin@easysoft.com>

2002-11-13 18:15  fesnel

	* src/mail/addrbook.cpp: Return  NULL, not false. (suprised gcc
	didn't catch this).
	
	Spotted by: Martin J. Evans <martin@easysoft.com>

2002-11-12 06:33  fesnel

	* src/ui/addrbook.cpp: Only set the changed bit when we actually
	select an option in the Import menu.

2002-11-12 01:25  fesnel

	* src/: include/umail.h, mail/Makefile.am, mail/addrbook.cpp,
	mail/addrbook.h, mail/addrbook_util.cpp, mail/addrbook_util.h,
	mail/addrbookdb.cpp, mail/addrbookdb.h, mail/addrbookentry.cpp,
	mail/addrbookentry.h, mail/fmail.cpp, mail/pgp.cpp, mail/rules.cpp,
	ui/Makefile.am, ui/addr_book.cpp, ui/addrbook.cpp, ui/msg.cpp,
	ui/xfmail.cpp: Commit of initial addressbook separation code.
	Creates several classes to represent the addressbooks, which allow
	for more separation from the UI and additional in-memory operations
	that can be performed. This is a works-in-progress and should be
	considered experimental.

2002-11-09 03:55  fesnel

	* src/mail/mime.cpp: go through all of mime.cpp and fix several
	more strncpy()'s. Many of these were just plain wrong and didn't do
	null termination.

2002-11-09 02:21  fesnel

	* src/mail/mime.cpp: implement the previous version the more
	portable way -- use snprintf() instead of strlcpy()

2002-11-09 02:12  fesnel

	* src/mail/mime.cpp: Convert 3 strncpy()'s to strlcpy()'s, one
	which wasn't doing null termination. Fixes a bug I was noticing in
	opening a mime'd message.

2002-11-06 14:51  fesnel

	* contrib/Makefile.am: remove specfiles directory...not used
	anymore

2002-11-06 06:09  fesnel

	* src/mail/mbox.cpp: Kill some unused variables.

2002-11-05 22:24  fesnel

	* src/ui/: tip.cpp, tip.h: Only include tips in tip.cpp.

2002-11-05 22:19  fesnel

	* src/ui/rules.cpp: Proper fix for vector deletion.
	
	Submitted by: John Baldwin <jhb@freebsd.org>

2002-11-05 04:09  fesnel

	* src/ui/xfmail.cpp: Remove trigraph.
	
	spotted by: cfreeze

2002-11-05 04:09  cfreeze

	* configure.in, macros/debug.m4, src/compface/Makefile.am,
	src/editor/Makefile.am, src/mail/Makefile.am,
	src/regex/Makefile.am, src/ui/Makefile.am: CF - Fix the compiler
	flags for --with-debug.

2002-11-05 03:45  cfreeze

	* macros/debug.m4: CF - make debug flags apply to C++ as well.

2002-11-05 02:31  cfreeze

	* src/mail/mime.cpp: CF - fix a mime bug that has bugged the hell
	out of me since moving to gentoo.

2002-11-05 01:26  cfreeze

	* src/include/umail.h: CF - add info on processes

2002-11-05 01:25  cfreeze

	* src/ui/child.cpp: CF - make exec failures more apparent.

2002-10-13 21:36  fesnel

	* src/ui/msg.cpp: merge: fix memory leak

2002-10-13 21:29  fesnel

	* src/mail/mbox.cpp: merge newlines fix to 1.5.3.

2002-10-13 21:22  fesnel

	* src/mail/mbox.cpp: Skip past newlines at the beginning of a mbox.
	
	Submitted by: Kevin Vigor <kvigor@lucent.com>

2002-10-13 19:42  fesnel

	* src/ui/msg.cpp: Free popup memory.
	
	Submitted by:	Kevin Vigor <kvigor@lucent.com>

2002-07-30 07:51  fesnel

	* src/mail/: fmail.cpp, fmail.h: The str argument to get_address()
	really should be const since it saves all kinds of uglyness else
	where. Convert it to const, and for now use a const_cast<> to make
	the compiler happy. get_address() will need to be revisted and
	rewritten slightly to avoid casting away the const.

2002-07-28 04:32  fesnel

	* src/ui/xfmail.cpp: Merge r1.26 back to 1.5.3.

2002-07-28 04:08  fesnel

	* src/ui/xfmail.cpp: Must call va_end() after a va_start(). Remove
	an extra line while I'm here.

2002-07-27 21:06  cfreeze

	* ChangeLog: CF - Updated for release.

2002-07-27 20:49  fesnel

	* src/mail/fmail.cpp: Expand more buffers in get_fwd_msg() so that
	we aren't truncating headers.

2002-07-27 20:07  cfreeze

	* src/ui/: addr_book.cpp, choose_folder.h: CF - added a simple text
	based import method to the address book. The format should be the
	alias you want to use on the first line, then each address on a
	separate line after that.

2002-07-27 17:52  cfreeze

	* src/mail/fmail.cpp: CF - fix printheader bug, should print
	condensed header now.

2002-07-27 15:52  cfreeze

	* src/ui/xfmail.cpp: CF - final adjustments for new lists.

2002-07-27 07:57  fesnel

	* src/ui/msg.cpp: Don't truncate the subject when displaying it in
	the message editor.

2002-07-27 07:34  fesnel

	* src/mail/fmail.cpp: Yay, more buffer increases. This time when
	formatting a reply message. Specifically, split one misused buffer
	into a header field buffer and a filepath buffer, each of the
	correct respective length.

2002-07-27 07:19  fesnel

	* src/mail/fmail.cpp: Expand field buffer to MAX_FIELD_LEN in
	get_field_content().

2002-07-25 07:08  fesnel

	* src/mail/fmail.cpp: Convert string to const instead of
	const_cast<>'ing it.

2002-07-24 07:43  fesnel

	* src/ui/about.cpp: Don't overflow the compdate buffer, instead
	truncate it. This should be harmless because it simply truncates
	really long domain names, which tend to look ugly in the display
	anyways. Also add some spaces to the about string to make it easier
	to read.

2002-07-24 01:43  cfreeze

	* src/ui/: Makefile.am, dialogs.auto, dialogs.fd, dialogs.h,
	tip.cpp, tip.h: CF - Added new tip of the day.

2002-07-24 01:39  cfreeze

	* src/ui/xfmail.cpp: CF - moved mailing lists to new site.

2002-07-14 07:00  fesnel

	* src/ui/addr_book.cpp: Fix bug when converting an alias to a
	single entry, in the address book.

2002-07-13 23:29  fesnel

	* src/: include/umail.h, ui/xfmail.cpp: Make get_new_mail() return
	an integer representing the number of new, counted, messages
	received. Use this new feature to have xfmail set the correct
	(mail/nomail) pixmap on startup when using the 'Check mail on
	startup' option.

2002-07-12 01:30  cfreeze

	* contrib/: xfmail-full.spec.in, xfmail.spec.in: CF - more
	adjustment of %files section

2002-07-12 00:59  cfreeze

	* contrib/: xfmail-full.spec.in, xfmail.spec.in: CF - ARRRGGGGG

2002-07-12 00:51  cfreeze

	* contrib/: xfmail-full.spec.in, xfmail.spec.in: CF - most
	ldconfig's don't like libs being in subdirectories..and I really   
	 don't want to have to add entries into /etc/ld.so.conf.  Anyone   
	     with a better suggestion? Duncan?

2002-07-12 00:41  cfreeze

	* contrib/: xfmail-full.spec.in, xfmail.spec.in: CF - adjust file
	specs

2002-07-12 00:00  cfreeze

	* contrib/: xfmail-full.spec.in, xfmail.spec.in: CF - remove dupe
	vendors.

2002-07-11 23:55  cfreeze

	* contrib/xfmail-full.spec.in: CF - add back the full spec file.

2002-07-11 23:52  cfreeze

	* configure.in, contrib/Makefile.am, contrib/xfmail.spec.in: CF -
	an attempt to unify the spec files.  Duncan don't hate me... :)

2002-07-11 23:44  cfreeze

	* contrib/Makefile.am: CF - trying to unify all these spec files
	into one.

2002-07-11 02:28  cfreeze

	* src/ui/: imap_conf.cpp, pop_smtp.cpp: CF - fix other password
	limits due to new xforms.

2002-07-11 01:28  cfreeze

	* src/ui/pgp.cpp: CF - expand char limit on php passphrase input.

2002-07-11 00:24  cfreeze

	* src/ui/version.src: CF - bump version for RC release soon.

2002-07-09 06:08  fesnel

	* configure.in: This probably should have been bumped sometime
	before.

2002-07-07 02:06  fesnel

	* src/mail/cfgfile.h: Use the C++ assert header file, 'cassert'.

2002-06-28 07:12  fesnel

	* src/ui/xfmail.cpp: Version 0.89 is the only version known for
	being buggy. Change the error message so to not annoy users of
	version 1.0.

2002-06-28 06:57  fesnel

	* src/editor/fl_edit.cpp: Rename fl_cur_fs in
	fl_textedit_underline_text() due to namespace pollution in forms.h
	(from 1.0RC4).

2002-06-25 00:35  cfreeze

	* autogen.sh: CF - needed by Mandrake to install config.sub.

2002-06-08 09:17  fesnel

	* src/mail/fmail.cpp: Fix a rare bug in the reply formatting code:
	
	If a line is composed of only INDENT_CHARS and spaces and the line
	would normally wrap when doing a reply, then the indent scanning
	code would loop continously re-adding the full line, wrapping,
	re-adding the full line, etc. Fix this by not re-adding the indent
	for lines of this category (therefore preventing a second
	wrapping). This can mess up the correct indent for the wrapped
	line, but lines of this characteristic are rare and this method
	prevents a seg. fault.

2002-05-26 23:14  fesnel

	* src/mail/: cache.cpp, fmail.cpp, fmail.h: Remove discard_cache()
	and replace it with calls to close_cache() which is identical.

2002-05-24 15:48  fesnel

	* src/mail/: fmail.cpp, fmail.h: const'ify some strings

2002-05-18 21:27  cfreeze

	* src/mail/pop.cpp: CF - a couple of null checks before freeing

2002-05-08 23:51  fesnel

	* src/mail/mime.cpp: deallocate character pointer inside struct,
	before deallocating struct itself

2002-04-06 07:13  duncan_haldane

	* src/ui/: dialogs.auto, dialogs.fd: replace "C" by "#C" for
	correct shortcut (fixes a bug in config/misc/receive "configure"
	smtp accounts button...))

2002-02-08 07:06  duncan_haldane

	* src/mail/smtp.cpp: Suppress list of addresses in Bcc: line; now
	only a blank Bcc: line will appear in the header if Bcc's are sent
	(as per RFC-2822, third type of allowed Bcc: behavior)	Note: with
	this behavior, all recipients will know that at least one Bcc: was
	sent. (Thanks to <statik@hate.cx> for pointing out the Bcc: bug).

2002-02-02 18:56  cfreeze

	* src/ui/dialogs.auto: CF - removed left in include forms.h stmnt.

2002-02-02 18:55  cfreeze

	* src/mail/fmail.h: CF - mh folders can now have 64 char names.

2002-02-02 18:51  cfreeze

	* src/ui/: dialogs.fd, dialogs.auto, dialogs.h: CF - updated
	website address.

2002-01-26 03:14  fesnel

	* src/: editor/fl_edit.cpp, mail/cache.cpp, mail/cfgfile.cpp,
	mail/cfgfile.h, mail/connection.cpp, mail/connection.h,
	mail/connectionManager.cpp, mail/debug.cpp, mail/debug.h,
	mail/fldap.h, mail/fmail.h, mail/gpasswd.cpp, mail/imap.cpp,
	mail/mbox.cpp, mail/md5.c, mail/mime.cpp, mail/msg.cpp,
	mail/nntp.cpp, mail/pgp.cpp, mail/pgp.h, mail/pop.cpp,
	mail/rules.cpp, mail/smtp.cpp, mail/sound.cpp, mail/util.cpp,
	mail/uucode.cpp, ui/RdBitF.cpp, ui/about.cpp, ui/addr_book.cpp,
	ui/child.cpp, ui/choose_folder.cpp, ui/config.cpp, ui/dialogs.cpp,
	ui/faces.cpp, ui/font.cpp, ui/help.cpp, ui/imap_conf.cpp,
	ui/inc.cpp, ui/int_conf.cpp, ui/keymap.cpp, ui/log.cpp,
	ui/mime_conf.cpp, ui/misc.cpp, ui/msg.cpp, ui/newobjs.h,
	ui/pgp.cpp, ui/pop_smtp.cpp, ui/rep_fwd.cpp, ui/rules.cpp,
	ui/search.cpp, ui/sign.cpp, ui/sort.cpp, ui/spellchecker.cpp,
	ui/version.src, ui/view_edit.cpp, ui/xfmail.h: Cleanup the
	including of header files. Use 'fmail.h' which will suck in the
	standard headers and config.h. Therefore don't include config.h in
	each source file, because fmail.h will do that. Also add some more
	standard header files to fmail.h.

2002-01-22 08:35  fhin

	* src/mail/fmail.h: Set MAX_FIELD_LEN from 988 to 998 as I assume
	this was a typo.

2002-01-22 04:01  duncan_haldane

	* src/ui/inc.cpp: --use-gpasswd should be --enable--gpasswd

2002-01-19 08:23  duncan_haldane

	* src/compface/README: added the original README file with the
	compface license, plus the clarifications of it obtained from the
	author by the Debian maintainer of compface.

2002-01-18 02:29  cfreeze

	* src/editor/fl_edit.cpp: CF - xforms .88 to .89 patch of fl_cur_fs
	to a call of fl_get_fontstruct(spec->text_style, spec->text_size);

2002-01-18 02:25  cfreeze

	* src/editor/fl_edit.cpp: CF - xforms .88 to .89 patch, removal of
	unused fl_fasc global.

2002-01-18 02:23  cfreeze

	* src/editor/fl_edit.cpp: CF - xforms .88 to .89 patch of
	fl_fheight to spec->charheight.

2002-01-18 02:21  cfreeze

	* src/editor/fl_edit.cpp: CF - xforms .88 to .89 patch of
	fl_cur_win to fl_winget().

2002-01-18 02:19  cfreeze

	* src/editor/fl_edit.cpp: CF - xforms .88 to .89 patch of fl_gc to
	fl_get_gc().

2002-01-17 08:20  duncan_haldane

	* src/ui/pop_smtp.cpp: oops.. this bug has been around for a while
	:( (storing smtp passwords was broken...)

2002-01-13 23:03  cfreeze

	* src/: mail/cache.cpp, mail/cfgfile.h, mail/debug.cpp,
	mail/fmail.h, ui/rules.cpp: CF - partial add of patch from Niki W.
	Waibel <niki.waibel@newlogic.com>.

2002-01-09 10:04  fhin

	* docs/rfc/index.txt: Corrected typo (822 is obsoleted by 2822, not
	by itself).

2002-01-09 04:47  cfreeze

	* KNOWNBUGS: CF - fixed a few spelling errors.

2002-01-09 04:44  cfreeze

	* docs/rfc/: index.txt, rfc2822.txt.bz2: CF - Updated docs for new
	rfc.

2002-01-08 05:22  fesnel

	* src/: editor/textbuf.h, mail/fmail.h, mail/imap.cpp, ui/help.txt:
	Fix spelling bogons.
	
	Submitted by: Nerijus Baliunas <nerijus@users.sourceforge.net>

2002-01-08 04:53  cfreeze

	* src/ui/msg.cpp: CF - Better fix for language description length
	in menu.

2002-01-08 04:16  cfreeze

	* src/mail/mime.cpp: CF - shortened menu lengths.

2002-01-08 00:33  cfreeze

	* src/mail/: fmail.h, mime.cpp: CF - Charset patch from Nerijus
	Baliunas <nerijus@users.sourceforge.net>.

2002-01-05 07:53  cfreeze

	* Copyright, src/include/umail.h, src/include/version.h.in,
	src/mail/cache.cpp, src/mail/cfgfile.cpp, src/mail/cfgfile.h,
	src/mail/compat.h, src/mail/connection.cpp, src/mail/connection.h,
	src/mail/connectionManager.cpp, src/mail/debug.cpp,
	src/mail/debug.h, src/mail/fldap.h, src/mail/fmail.cpp,
	src/mail/fmail.h, src/mail/gpasswd.cpp, src/mail/gpasswd.h,
	src/mail/imap.cpp, src/mail/ldap.cpp, src/mail/mbox.cpp,
	src/mail/mime.cpp, src/mail/msg.cpp, src/mail/nntp.cpp,
	src/mail/pgp.cpp, src/mail/pgp.h, src/mail/pop.cpp,
	src/mail/rules.cpp, src/mail/smtp.cpp, src/mail/sound.cpp,
	src/mail/util.cpp, src/mail/uucode.h, src/ui/about.cpp,
	src/ui/addr_book.cpp, src/ui/child.cpp, src/ui/choose_folder.cpp,
	src/ui/choose_folder.h, src/ui/config.cpp, src/ui/configform.h,
	src/ui/dialogs.auto, src/ui/dialogs.cpp, src/ui/dialogs.fd,
	src/ui/faces.cpp, src/ui/font.cpp, src/ui/help.cpp,
	src/ui/help.txt, src/ui/imap_conf.cpp, src/ui/inc.cpp,
	src/ui/int_conf.cpp, src/ui/keymap.cpp, src/ui/log.cpp,
	src/ui/mime_conf.cpp, src/ui/misc.cpp, src/ui/msg.cpp,
	src/ui/newobjs.h, src/ui/pgp.cpp, src/ui/pixmaps.h,
	src/ui/pop_smtp.cpp, src/ui/rep_fwd.cpp, src/ui/rules.cpp,
	src/ui/search.cpp, src/ui/sign.cpp, src/ui/sort.cpp,
	src/ui/spellchecker.cpp, src/ui/spellchecker.h,
	src/ui/view_edit.cpp, src/ui/xfmail.cpp, src/ui/xfmail.h: CF - My
	Gosh...it's been 3 years...wow...

2002-01-05 07:39  cfreeze

	* man/xfmail.1: My Gosh...it's been 3 years...wow...

2002-01-05 07:35  cfreeze

	* man/xfmail.1: CF - Update of copyright info.

2002-01-03 01:44  fesnel

	* src/ui/xfmail.cpp: It's safe to go back in the water now, all
	major bugs appear to have been fixed.

2002-01-03 01:35  fesnel

	* src/mail/imap.cpp: Fix a bug in the use of expand_uid_range() by
	the function delete_imap_message_range(). When deleting a message,
	xfmail will attempt to select the largest contiguous range of
	messages to delete at once. However, when selecting the range, it
	doesn't skip messages that have already been deleted. Therefore,
	delete_imap_message_range() ends up re-deleting previously deleted
	messages, and trash ends up with duplicate copies of messages. Fix
	by using an exclusion mask that blocks messages that have the flag
	IMAPDELETED set (message already deleted).

2002-01-02 18:30  fesnel

	* src/mail/imap.cpp: Don't try INBOX.trash if we can't get a
	hierarchy delimiter for INBOX.	This can be bad since we can
	possibly open INBOX as the trash folder.
	
	# There is still a reported problem with duplicate messages showing
	# up in trash, therefore the build will remain broken currently.

2002-01-02 03:13  cfreeze

	* src/ui/xfmail.cpp: CF - Breaking compiling till trash problem is
	fixed.

2002-01-02 02:26  cfreeze

	* src/mail/: fmail.cpp, imap.cpp, mbox.cpp: CF - Removed rest of
	MTOOBIG in msg status.

2002-01-02 02:18  cfreeze

	* src/mail/: fmail.h, imap.cpp: CF - Increased constants at user
	request.

2001-12-31 23:08  fesnel

	* src/: include/umail.h, mail/Makefile.am, mail/fmail.h,
	mail/rules.cpp, mail/util.cpp, ui/rules.cpp: Split rule code into a
	libmail section and a UI part to make maintaining easier between
	archimedes and xfmail. Move strcasestr() implementation to
	utils.cpp.
	
	There shouldn't be any functional changes to the code.

2001-12-31 06:58  fesnel

	* src/mail/imap.cpp: If 'Use trash' is selected and we can't
	open/create a toplevel 'TRASH' folder, attempt to open
	'INBOX.trash'. This is needed for cases where the user doesn't have
	permissions to create a toplevel trash folder.

2001-12-31 04:03  cfreeze

	* ChangeLog: CF - Update of changelog

2001-12-31 03:55  cfreeze

	* src/ui/pgp.cpp: CF - whitespace adjustment.

2001-12-31 03:54  cfreeze

	* src/mail/pgp.cpp: 
	CF - new pgp option checked on outgoing mail.

2001-12-31 03:50  cfreeze

	* src/: ui/dialogs.auto, ui/dialogs.fd, ui/dialogs.h, ui/pgp.cpp,
	mail/pgp.cpp: CF - Added new PGP Config option to encrypt Bcc recp.

2001-12-30 03:24  fesnel

	* src/ui/xfmail.cpp: Save IMAP folders at shutdown.

2001-12-28 06:20  fesnel

	* src/: mail/fmail.cpp, mail/fmail.h, mail/imap.cpp, mail/mbox.cpp,
	mail/pop.cpp, ui/imap_conf.cpp, ui/xfmail.cpp: Remove the parent
	pointer that pop, spool, and imap retrieve sources keep to point to
	their parent retrieve_src struct. This pointer can become stale if
	the parent changes. Also, the pointer was only being used to access
	the name of the retrieve source, so replace it with a character
	string so that identifies the name of the parent retrieve source.
	
	# This is somewhat ugly, and should probably be implemented
	somewhat # differently. But for now it fixes a bad bug that
	appeared with the # change to a linked list of retrieve sources.

2001-12-27 05:59  fesnel

	* src/: mail/fmail.cpp, mail/imap.cpp, mail/mbox.cpp,
	ui/choose_folder.cpp, ui/rules.cpp, ui/sort.cpp, ui/xfmail.cpp:
	Typecast vector<>::size() to int to prevent zillions of useless
	warnings that just hide the important ones.

2001-12-25 17:27  fesnel

	* src/: mail/fmail.cpp, mail/pop.cpp, mail/smtp.cpp,
	mail/smtp_auth.cpp, ui/inc.cpp, ui/msg.cpp: Axe unused variables.

2001-12-25 17:14  fesnel

	* src/ui/RdBitF.cpp: Fix comments within comments.

2001-12-25 17:07  fesnel

	* src/: include/umail.h, mail/gpasswd.cpp, mail/gpasswd.h,
	mail/imap.cpp, mail/pop.cpp, mail/smtp.cpp, ui/inc.cpp,
	ui/pop_smtp.cpp, ui/xfmail.cpp: Cleanup whitespace in certain
	areas, mainly GPASSWD sections. Makes code a lot easier to follow.

2001-12-25 05:56  fesnel

	* src/: mail/fmail.cpp, mail/fmail.h, mail/imap.cpp, mail/mbox.cpp,
	mail/mime.cpp, mail/pop.cpp, ui/xfmail.cpp: Convert all instances
	of a message uid/num to type long. Also convert all instances of
	message count to a type unsigned long. This should make all
	references to message uids or counts consistent, rather than
	converting back and forth between 'int' and other types.

2001-12-23 20:51  fesnel

	* ChangeLog, src/mail/fmail.h, src/mail/imap.cpp,
	src/mail/smtp.cpp, src/ui/imap_conf.cpp, src/ui/inc.cpp,
	src/ui/xfmail.cpp: Convert the retrieve sources static array to a
	linked list. This makes insertion/deletion of entries and traversal
	alot easier and cleanier. It also appears to have fixed the bug
	where entries were corrupting each other in the array.

2001-11-21 05:02  fesnel

	* src/mail/: fmail.cpp, fmail.h: name_path() doesn't modify its
	argument, so make the argument const char *. Also, increase buffer
	to MAXPATHLEN and prevent oflow.

2001-11-18 23:03  fesnel

	* src/mail/: fmail.cpp, fmail.h, imap.cpp, mbox.cpp: Completely
	remove all traces of MAX_MSG_IN_FOLDER, which has been gone for
	awhile now.

2001-11-18 01:16  fesnel

	* src/ui/: RdBitF.cpp, about.cpp, addr_book.cpp, child.cpp,
	choose_folder.cpp, choose_folder.h, config.cpp, configform.h,
	dialogs.cpp, faces.cpp, font.cpp, help.cpp, imap_conf.cpp, inc.cpp,
	int_conf.cpp, keymap.cpp, log.cpp, mime_conf.cpp, misc.cpp,
	msg.cpp, newobjs.h, pgp.cpp, pixmaps.h, pop_smtp.cpp, rep_fwd.cpp,
	rules.cpp, search.cpp, sign.cpp, sort.cpp, spellchecker.cpp,
	spellchecker.h, view_edit.cpp, xfmail.cpp, xfmail.h: White-space
	only commit. Convert all leading spaces to tabs (4 spaces -> 1
	tab). Savings are about 10-15% in file size. Recommended tab stop
	of 4 for viewing/editing.
	
	Approved by: cfreeze

2001-11-18 00:23  fesnel

	* src/mail/: cache.cpp, connection.cpp, connection.h,
	connectionManager.cpp, fmail.cpp, fmail.h, gpasswd.cpp, imap.cpp,
	ldap.cpp, mbox.cpp, mime.cpp, nntp.cpp, pgp.cpp, pgp.h, pop.cpp,
	pop.cpp_tmp, smtp.cpp, smtp_auth.cpp, smtp_auth.h, sound.cpp,
	util.cpp: White-space only commit. Convert all leading spaces to
	tabs (4 spaces -> 1 tab). Savings are about 10-15% in file size.
	Recommended tab stop of 4 for viewing/editing.
	
	Approved by: cfreeze

2001-11-17 20:53  fesnel

	* contrib/misc/space2tab.pl: Add support for multiple filenames,
	and only convert spaces at the beginning of a line.

2001-11-13 14:34  bears

	* ChangeLog, src/mail/ldap.cpp: * src/mail/ldap.cpp: Fix bug that
	allowed null names or addresses through.

2001-11-13 07:27  fesnel

	* src/ui/inc.cpp: Loosen the restrictions on account names. Account
	names can be up to 31 characters long now, and have a character set
	of: [a-zA-Z0-9_][a-zA-Z0-9_\-.] Also: fix some overflows, convert
	filename buffers to MAXPATHLEN, use sizeof() instead of magic
	numbers, and kill unused variable.
	
	PR: #428397

2001-11-13 06:30  fesnel

	* src/ui/rules.cpp: Remove various magic numbers, prevent
	overflows, convert filename buffers to MAXPATHLEN, and remove
	unneeded conditional.

2001-11-11 19:58  cfreeze

	* src/ui/xfmail.cpp: CF - msg geometry now saved on exit.

2001-11-11 06:33  fesnel

	* src/mail/mime.cpp: fl_show_message -> display_msg

2001-11-11 05:31  fesnel

	* src/mail/imap.cpp: fl_show_alert -> display_msg

2001-11-11 04:44  fesnel

	* src/: mail/Makefile.am, mail/fmail.h, mail/uucode.cpp,
	mail/uucode.h, ui/msg.cpp: Rewrite the uu*code handling to make it
	into two separate classes, UUEncode, UUDecode. This makes the
	uu*code handling more generic and will help separate the ui
	handling from the actual uu*code so that libmail doesn't depend on
	xforms.
	
	# I will eventually update archimedes to use the new interface.

2001-11-09 17:17  cfreeze

	* src/ui/addr_book.cpp: CF - Small LDAP fix, if a person in the
	ldap response list had a name, but no email, an unchecked pointer
	reference would cause strcasecmp to segfault.

2001-11-07 07:30  fesnel

	* src/mail/Makefile.am: Fix typo: $(EXTRA_CFLAGS@) ->
	$(EXTRA_CFLAGS)

2001-11-05 23:26  fesnel

	* src/: mail/fmail.cpp, ui/sort.cpp: Bump the max allowable message
	number in a folder (and hence max messages) from 99,999 to
	2,147,483,647 (LONG_MAX), only on 32-bit int architectures however.
	Also bump allowable range of msg uid width in message line.

2001-10-21 17:09  duncan_haldane

	* configure.in, contrib/xfmail.spec.in: fix for autoconf's default
	CFLAGS/CXXFLAGS=-g behavior; + minor changes to xfmail.spec.in
	%description field.

2001-10-09 05:35  duncan_haldane

	* Copyright, src/ui/help.txt: corrected Copright statements to be
	explicitly GPL, with 'execptions' allowing linking to the xforms
	and compface libraries.

2001-10-06 21:36  duncan_haldane

	* contrib/xfmail.spec.in: added CXXFLAGS="$RPM_OPT_FLAGS" to
	xfmail.specfile.in.  Also added redhat-specific specfiles in the
	"specfiles" sub dir. Perhaps other distro-specific spec files (e.g
	Suse) could go there too.

2001-10-06 04:33  cfreeze

	* configure.in: CF - now handles mcrypt detection better on
	Mandrake.

2001-10-06 03:08  cfreeze

	* configure.in, src/ui/version.src: CF - updated version numbers to
	1.5.2

2001-10-06 03:06  cfreeze

	* src/ui/xfmail.cpp: CF - the From option for each folder is used
	to fill the From: line the first time the msg form is created. 
	This will allow the signature rules to match when a msg is first
	created.

2001-10-06 03:03  cfreeze

	* src/mail/fmail.cpp: CF - When sending a mail now the signature
	rules will work with the per folder From: option.

2001-10-05 02:44  cfreeze

	* acconfig.h, configure.in, src/editor/fl_edit.cpp,
	src/include/umail.h, src/ui/dialogs.cpp, src/ui/newobjs.h: CF - Put
	back in Jim's X11/forms.h checking.

2001-10-02 10:03  bears

	* acconfig.h, configure.in, ChangeLog, src/editor/fl_edit.cpp,
	src/include/umail.h, src/ui/dialogs.cpp, src/ui/newobjs.h:	 *
	acconfig.h, configure.in, src/editor/fl_edit.cpp,
		  src/include/umail.h, src/ui/dialogs.cpp,
	src/ui/newobjs.h:
		  Redo X11/forms.h handling - revert to #include <forms.h>
		  everywhere, and in configure check to see if in X11 and
	if
		  so add (X include dir)/X11 to includes. Also change to
	adding
		  this and /usr/local/include to CPPFLAGS instead of adding
		  separately to CFLAGS and CXXFLAGS.

2001-10-02 04:57  cfreeze

	* src/ui/dialogs.auto: CF - the #include "form.h" must be removed
	from the autogenerated file.

2001-09-30 19:25  fesnel

	* src/ui/rules.cpp: Move the code that compiles the regex string
	down until after we've read the dialog settings. This way we
	correctly handle the 'case sensitive' option.
	
	Noticed by: Joachim Backes <backes@rhrk.uni-kl.de>

2001-09-29 19:37  cfreeze

	* contrib/xfmail.spec.in: CF - update addresses

2001-09-29 19:26  cfreeze

	* src/ui/int_conf.cpp: CF - the default for disabling the charset
	dialog is now off.

2001-09-29 19:23  cfreeze

	* src/ui/dialogs.auto: CF - One can now disable the dialog showing
	that the current message is in an unsupported charset.	By default
	though you will get the dialog.

2001-09-29 19:23  cfreeze

	* src/mail/mime.cpp: CF - Oopps...wrong cfgfile call.

2001-09-29 19:20  cfreeze

	* src/: mail/mime.cpp, ui/dialogs.fd, ui/dialogs.h,
	ui/int_conf.cpp, ui/mime_conf.cpp: CF - One can now disable the
	dialog showing that the current message is in an unsupported
	charset.  By default though you will get the dialog.

2001-09-29 18:29  cfreeze

	* src/: mail/fmail.cpp, ui/xfmail.cpp: CF - IMAP trash now cleans
	on exit.

2001-09-29 18:02  cfreeze

	* src/ui/faces.cpp: CF - remove warning dialog about faces not
	being compiled in.

2001-09-29 17:32  cfreeze

	* macros/regex.m4: CF - Fix linking error when using --with-regex

2001-09-28 15:40  bears

	* acconfig.h, configure.in, ChangeLog:	       * acconfig.h:
	autoheader 2.50 needs #undef/define to be at
		  the start of the line. Also complains that HAVE_MMAP is
		  missing.
		* configure.in: Add missing "" that gave rise to
	configuration
		  error message (which was benign, I think).

2001-09-28 04:30  cfreeze

	* src/ui/misc.cpp: CF - now displays cache directory if using the
	default instead of a blank.

2001-09-28 04:15  cfreeze

	* src/ui/: Makefile.am, dialogs.auto, dialogs.c, dialogs.cpp: CF -
	Almost have it automated.  If changing dialogs.fd with fdesign,
	after you save in fdesign you must move the autogenerated dialogs.c
	to dialogs.auto.  After that everything will compile.  NOTE: You
	must move, not just copy.  If you copy, the make scripts will try
	to compile dialogs.c and fail miserably.

2001-09-28 04:08  cfreeze

	* src/mail/fmail.cpp: CF - removed an extra )

2001-09-28 03:41  cfreeze

	* src/ui/dialogs.c: CF - now when editing the dialogs.fd file, you
	now longer have to perform magic to get to a compiling state again.

2001-09-28 03:39  cfreeze

	* src/ui/: dialogs.cpp, dialogs.fd, dialogs.h, rep_fwd.cpp: CF -
	added GUI components for the new ability to define what the
	Prefixes are for forwarding and replying in the subject line.

2001-09-27 11:05  bears

	* acconfig.h, configure.in, ChangeLog, src/editor/fl_edit.cpp,
	src/include/umail.h, src/ui/dialogs.cpp, src/ui/newobjs.h: Check
	for forms.h in include/X11, to save Debianites and others from
	requiring a -x-include configuration.

2001-09-27 11:01  bears

	* ChangeLog: Re: and Fwd: update

2001-09-27 10:57  bears

	* src/: mail/fmail.cpp, ui/rep_fwd.cpp: Change RE: and FW: defaults
	to Re: and Fwd: and add config file settings for them (reprefix and
	fwdprefix). No GUI config for these yet.

2001-09-23 18:03  fesnel

	* src/ui/rules.cpp: When a rule is deleted, display the next one in
	the list, or the previous one if we deleted from the end.

2001-09-23 17:12  fesnel

	* Makefile.am, configure.in: Disconnect 'intl' and 'po' from the
	build. They aren't used and they're broken.

2001-09-23 16:12  fesnel

	* configure.in: Don't substitute an undefined variable.
	
	Explicitly append '-I/usr/local/include' to CFLAGS and CXXFLAGS.
	This is ugly, however configure ususally doesn't find this
	directory on some systems. I've also seen this hack used in many
	projects.

2001-09-23 16:04  fesnel

	* macros/debug.m4: Don't clear the original DEBUG_CFLAGS with high
	optimizations (some of which can hinder debugging efforts).

2001-09-23 15:59  fesnel

	* src/: editor/Makefile.am, mail/Makefile.am, ui/Makefile.am,
	compface/Makefile.am, regex/Makefile.am: Explicitly include
	CFLAGS/CXXFLAGS in their respective definitions.

2001-09-22 20:46  cfreeze

	* src/mail/: cfgfile.cpp, cfgfile.h: CF - added a bit of debugging
	to see if the cfgfile corruption could be found.

2001-09-11 07:12  fesnel

	* src/ui/rules.cpp: Develop a system of keeping track of the rules
	that need to be deleted. This makes sure that we aren't leaking
	memory from rules that get deleted from the list.
	
	Fix a bug that when clicking on 'Load' in the rule editor, we
	weren't clearing the old list of rules first, so we ended up with
	the same rules listed twice.
	
	Various cleanups in the code.

2001-09-07 06:00  fesnel

	* src/ui/rules.cpp: Cleanup some of the code, mainly whitespace
	changes.
	
	Correctly select the new rule when adding a rule.
	
	Don't delete the regex_t for the next sequential rule when deleting
	a rule.
	
	# There are alot of memory leaks here to be cleaned up.

2001-08-10 22:21  fesnel

	* src/mail/mime.cpp: Protect against case where we could delete our
	only mime mailcap.

2001-07-15 16:29  fesnel

	* src/mail/: pgp.cpp, pgp.h: More header cleanup. The
	get_xxx_command_line functions are only used in mail/pgp.cpp, so
	move the prototypes there.

2001-07-15 06:13  fesnel

	* src/mail/pgp.cpp: Remove incorrect comment and remove unneeded
	braces.

2001-07-15 05:48  fesnel

	* src/mail/imap.cpp: Remove unused variable.

2001-07-13 04:43  fesnel

	* src/: mail/pgp.cpp, mail/pgp.h, ui/pgp.cpp: Move phrase and
	pgpext variables out of pgp.h and into the source files. The latter
	was only needed in mail/pgp.cpp. The former is used in both
	mail/pgp.cpp and ui/pgp.cpp, however because it was declared static
	each file was getting its own copy. This fixes two bugs, 1) xfmail
	wouldn't forget the passphrase after the timer ran out, and 2)
	xfmail wouldn't erase the passphrase when it was entered
	incorrectly.

2001-07-13 03:44  fesnel

	* src/mail/pgp.cpp: Magic number cleanup (ie. use sizeof()). Also,
	when copying chunks of data from one file another there is no need
	to do string termination, so don't read 'sizeof(foo) - 1' bytes.

2001-07-11 23:13  fesnel

	* src/mail/: mime.cpp, pgp.cpp: Fix the
	prompting-for-passphrase-when-doing-a-VRFYFL, by backing out the
	applicable parts of rev. 1.6 of mime.cpp and 1.3 of pgp.cpp.
	
	Looked at by: schoos

2001-07-11 00:17  fesnel

	* src/ui/rep_fwd.cpp: Comment out debugging printf.

2001-07-10 03:22  fesnel

	* src/: mail/cache.cpp, mail/cfgfile.cpp, mail/cfgfile.h,
	mail/compat.h, mail/connection.cpp, mail/connection.h,
	mail/connectionManager.cpp, mail/debug.cpp, mail/debug.h,
	mail/fldap.h, mail/fmail.cpp, mail/fmail.h, mail/gpasswd.cpp,
	mail/gpasswd.h, mail/imap.cpp, mail/ldap.cpp, mail/mbox.cpp,
	mail/mime.cpp, mail/msg.cpp, mail/nntp.cpp, mail/pgp.cpp,
	mail/pgp.h, mail/pop.cpp, mail/smtp.cpp, mail/smtp_auth.cpp,
	mail/smtp_auth.h, mail/util.cpp, ui/about.cpp, ui/addr_book.cpp,
	ui/child.cpp, ui/choose_folder.cpp, ui/choose_folder.h,
	ui/config.cpp, ui/configform.h, ui/dialogs.cpp, ui/dialogs.h,
	ui/faces.cpp, ui/font.cpp, ui/help.cpp, ui/imap_conf.cpp,
	ui/inc.cpp, ui/int_conf.cpp, ui/keymap.cpp, ui/log.cpp,
	ui/mime_conf.cpp, ui/misc.cpp, ui/msg.cpp, ui/newobjs.h,
	ui/pgp.cpp, ui/pixmaps.h, ui/pop_smtp.cpp, ui/rep_fwd.cpp,
	ui/rules.cpp, ui/search.cpp, ui/sign.cpp, ui/sort.cpp,
	ui/spellchecker.cpp, ui/spellchecker.h, ui/view_edit.cpp,
	ui/xfmail.cpp, ui/xfmail.h: Fix CVS tag expansion:   $Id -> $Id: ChangeLog,v 1.21 2004/01/02 02:47:15 fesnel Exp $
	
	Approved by: cfreeze

2001-07-08 01:00  cfreeze

	* src/mail/pgp.cpp: CF - CF - correction of a misapplied patch from
	Mike Heffner <mheffner@cowpie.acm.vt.edu>. (second try)

2001-07-07 20:19  cfreeze

	* Copyright: CF - fixed spelling error.

2001-07-07 20:16  cfreeze

	* configure.in, src/ui/version.src: CF - updated version numbers
	for a 1.5.1 release.

2001-07-07 20:15  cfreeze

	* runme: CF - made runme a little smarter for the BSD folks who
	have gmake instead of make.

2001-07-07 19:47  cfreeze

	* src/mail/pgp.cpp: CF - correction of a misapplied patch from Mike
	Heffner <mheffner@cowpie.acm.vt.edu>.

2001-07-07 19:36  cfreeze

	* src/regex/regex.c: CF - replaced old xf_ calls with libc ones.

2001-06-09 17:34  duncan_haldane

	* src/mail/sound.cpp:  change an archimedes-specific message so it
	doesnt mention the
	email client name (for use with XFMail)

2001-06-08 21:20  cfreeze

	* src/mail/fmail.cpp: CF - now checking for the keyword
	"printheader" instead of "printheaders".  It didn't match what we
	were saving from the GUI configs..

2001-06-05 17:38  duncan_haldane

	* src/: mail/smtp_auth.h, ui/help.txt: fix smtp_ath.h (c)
	statement, and tweak to help.txt

2001-06-04 02:21  cfreeze

	* contrib/xfmail.spec.in: CF - forgot to add the prefix

2001-06-04 02:06  cfreeze

	* contrib/xfmail.spec.in: CF - compresses man file.

2001-06-04 01:59  cfreeze

	* contrib/xfmail.spec.in: CF - rpm doesn't include rfc's now

2001-06-04 01:01  cfreeze

	* contrib/xfmail.spec.in: CF - Fixed rest of spec file.

2001-06-03 23:22  cfreeze

	* contrib/xfmail.spec.in: CF - the strip cmd now follows the prefix
	directory to find the exe

2001-06-03 23:07  cfreeze

	* contrib/xfmail.spec.in: CF - fixed the bad assumption that the
	prefix var would always be set by rpm.

2001-06-03 22:15  cfreeze

	* contrib/xfmail.spec.in: CF - changed my email address.

2001-06-03 22:14  duncan_haldane

	* src/editor/: COPYING, fl_edit.cpp, fl_edit.h, fl_error.h,
	textbuf.cpp, textbuf.h:  remove LGPL. this has its own OK license

2001-06-03 22:03  cfreeze

	* macros/faces.m4: CF - Added a directory to the include path as
	discovered by (Stefan Huelswitt) <huels@iname.com>

2001-06-03 21:58  duncan_haldane

	* src/editor/COPYING: added LGPL text

2001-06-03 21:57  duncan_haldane

	* src/mail/smtp_auth.cpp:  modified (C) statement .

2001-06-03 21:50  cfreeze

	* src/mail/: cache.cpp, cfgfile.cpp, cfgfile.h, compat.h,
	connection.cpp, connection.h, connectionManager.cpp, debug.cpp,
	debug.h, fldap.h, fmail.cpp, fmail.h, gpasswd.cpp, gpasswd.h,
	imap.cpp, ldap.cpp, mbox.cpp, mime.cpp, msg.cpp, nntp.cpp, pgp.cpp,
	pgp.h, pop.cpp, smtp.cpp, smtp_auth.cpp, smtp_auth.h, sound.cpp,
	util.cpp: CF - added new license to files.  hope this clears things
	up for everyone.

2001-06-03 21:46  duncan_haldane

	* src/mail/COPYING: add LGPL license text

2001-06-03 21:40  cfreeze

	* src/editor/: fl_edit.cpp, fl_edit.h, fl_error.h, textbuf.cpp,
	textbuf.h: CF - added new license to files.  Hope this clears
	things up for everyone.

2001-06-03 21:35  cfreeze

	* src/ui/: RdBitF.cpp, about.cpp: CF - other little cleanups left
	by my script.

2001-06-03 21:33  cfreeze

	* src/ui/spellchecker.cpp: CF - fix of trashed line my script
	created.

2001-06-03 21:32  cfreeze

	* src/ui/: about.cpp, addr_book.cpp, child.cpp, choose_folder.cpp,
	config.cpp, dialogs.cpp, faces.cpp, font.cpp, help.cpp,
	imap_conf.cpp, inc.cpp, int_conf.cpp, keymap.cpp, log.cpp,
	mime_conf.cpp, misc.cpp, msg.cpp, pgp.cpp, pop_smtp.cpp,
	rep_fwd.cpp, rules.cpp, search.cpp, sign.cpp, sort.cpp,
	spellchecker.cpp, view_edit.cpp, xfmail.cpp: CF - added new license
	to code files.	Hope this clears things up for everyone.

2001-06-03 21:25  cfreeze

	* src/ui/: choose_folder.h, configform.h, dialogs.h, newobjs.h,
	pixmaps.h, spellchecker.h, xfmail.h: CF - new license in header
	files.	Hope this clears things up for everyone.

2001-06-03 21:21  duncan_haldane

	* src/mail/smtp_auth.cpp:  modify my copyright statement.  Now
	(c)2001 the Archimedes Project

2001-06-03 21:07  cfreeze

	* configure.in, src/compface/arith.cpp, src/compface/compface.h,
	src/compface/compress.cpp, src/compface/data.h,
	src/compface/face.cpp, src/compface/file.cpp, src/compface/gen.cpp,
	src/editor/fl_edit.cpp, src/editor/fl_edit.h,
	src/editor/fl_error.h, src/editor/textbuf.cpp,
	src/editor/textbuf.h, src/mail/cfgfile.h, src/mail/debug.h,
	src/mail/fmail.cpp, src/mail/gpasswd.cpp, src/mail/gpasswd.h,
	src/mail/smtp_auth.cpp, src/mail/smtp_auth.h, src/mail/uucode.cpp,
	src/regex/regex.c, src/regex/regex.h, src/ui/version.src: CF -
	everything now has the RCS Id tag.  Also updated the version
	number.

2001-06-03 18:21  duncan_haldane

	* src/ui/help.txt:  left out a word in help text

2001-06-03 18:04  duncan_haldane

	* src/ui/: dialogs.cpp, dialogs.fd, dialogs.h, help.txt, help_gen:
	update help docs for smtp accounts, and global password encryption,
	now that I finally understood how the help system worked...

2001-06-03 16:38  cfreeze

	* po/Makefile.in: CF - distclean no longer deletes itself.

2001-06-03 15:55  cfreeze

	* src/mail/: fmail.h, imap.cpp, mime.cpp: CF - backed out last
	minute patches.  Will reapply after the tagged release.

2001-06-03 13:51  duncan_haldane

	* src/ui/help.txt:  added short help text for LDAP

2001-06-03 05:46  sh00p

	* src/mail/: fmail.h, imap.cpp, mime.cpp: committed charset and
	related limits patches from Nerijus Baliunas
	<nerijus@users.sourceforge.net>

2001-06-03 04:31  duncan_haldane

	* src/ui/: config.cpp, help.txt, help_gen: added entry for LDAP
	help button.  (still need to actually write the help text)

2001-06-03 02:11  duncan_haldane

	* Makefile.am, configure.in:  reverting last change.

2001-06-03 01:52  duncan_haldane

	* Makefile.am, configure.in: remove references to GNU GETTEXT, and
	the intl and po directories.  XFmail doesnt use them, and never
	can, because of the license clash between GNU gettext (libintl),
	which is GPL, and the XForms library linked to XFmail.

2001-06-03 00:26  duncan_haldane

	* src/ui/: help.txt, xfmail.cpp: rename the user-unfriendly entries
	 "Config  Misc" and Config Display" in the pull-down misc menu to
	"Config Accounts+Misc" and "Config XFMail Settings", and adjust the
	text in help.txt accordingly.

2001-06-02 21:48  duncan_haldane

	* src/: mail/imap.cpp, ui/help.txt:  fix spelling error
	responce->response
	(reported by Nerijus Baliunas)

2001-05-31 09:13  duncan_haldane

	* src/ui/pop_smtp.cpp:	suppress unnecessary warnings about storing
	passwords when
	encryption is activated!

2001-05-31 05:06  duncan_haldane

	* src/mail/smtp_auth.cpp: clean up a compiler warning

2001-05-30 20:31  duncan_haldane

	* src/mail/: gpasswd.cpp, gpasswd.h:  fixed bugs in gpasswd.cpp.  
	now it is sane when
	the passphrase is changed.   Note that the format for storing
	encrypted passwords in xfmail 1.4.8 is different from 1.4.7.  Users
	should convert to plain text stored passwords by switching off
	global password encrytion before upgrading to 1.4.8, then
	reactivate encription in 1.4.8.

2001-05-30 08:41  duncan_haldane

	* src/: mail/gpasswd.cpp, mail/smtp.cpp, ui/inc.cpp:  small
	cleanups in the gpasswd+smtp account code.

2001-05-30 00:07  cfreeze

	* src/mail/imap.cpp: CF - imap 2000 now works.

2001-05-17 10:16  bears

	* src/ui/pop_smtp.cpp: Changed Search Base default to empty.
	Sometimes it has to be empty (e.g. to work the Exchange (spit)
	server at my work); previously the old default ('*') would keep
	popping back in.

2001-05-05 19:39  cfreeze

	* src/mail/imap.cpp: CF - changed spellings

2001-05-05 18:55  cfreeze

	* src/ui/: dialogs.cpp, dialogs.fd, dialogs.h: CF - min value for
	the number of LDAP responses is now set to zero instead of allowing
	negative numbers

2001-05-05 18:49  cfreeze

	* src/ui/: dialogs.cpp, dialogs.fd, dialogs.h: CF - Fixed missized
	dialogs (choose folder, ldap config), number scroll in ldap config
	is alot bigger now. Changed the server base to server root label.

2001-04-20 20:24  schoos

	* src/mail/: mime.cpp, pgp.cpp: Fixed a small bug with verifying
	attached signatures for gpg: the signed message wasn't specified in
	the gpg call, due to a missing %s also added submission of the
	passphrase in the whole process (Do we need this?)
	
	Don't know whether the code for the other pgp versions is correct.
	Can someone check this?

2001-04-15 21:46  duncan_haldane

	* src/mail/mime.cpp:  revert a change that got in by mistake

2001-04-15 21:43  duncan_haldane

	* src/: mail/imap.cpp, mail/mime.cpp, mail/pop.cpp, mail/smtp.cpp,
	ui/inc.cpp: encrypted passwords are now base64-encrypted so they
	are text.  changes in the global password encryption setting
	(config-receive) now are applied immediately now.

2001-04-15 17:08  duncan_haldane

	* src/ui/inc.cpp: modify warning message when password encryption
	is selected

2001-04-15 16:47  duncan_haldane

	* src/: include/umail.h, ui/pop_smtp.cpp:  added some #ifdef
	USE_GPASSWD for the new set_passphrase() declaration

2001-04-15 16:19  duncan_haldane

	* src/: include/umail.h, mail/gpasswd.cpp, mail/imap.cpp,
	mail/pop.cpp, mail/smtp.cpp, ui/inc.cpp, ui/pop_smtp.cpp,
	ui/xfmail.cpp:	ask for passphase when global password encryption
	is selected;
	allow delection and reselection with a new passphrase

2001-04-15 05:39  duncan_haldane

	* src/mail/cfgfile.cpp:  this rewind (ported from 1.4.7p2 is also
	needed!)

2001-04-15 05:12  duncan_haldane

	* src/mail/cfgfile.cpp: this is needed when no .xfmail exists
	initially.  (It got fixed in 1.4.7, as released, but seems to have
	not made it in the 1.4.8 cvs)

2001-04-14 23:27  duncan_haldane

	* src/mail/smtp.cpp:  bugfix needed when  --enable-gpasswd is used
	...

2001-04-14 22:35  duncan_haldane

	* scripts/lxdialog/: checklist.o, inputbox.o, lxdialog, lxdialog.o,
	menubox.o, msgbox.o, textbox.o, util.o, yesno.o: remove binary
	compiled files that should not be in CVS

2001-04-12 04:51  duncan_haldane

	* src/mail/smtp.cpp: code cleanup

2001-04-12 04:36  duncan_haldane

	* src/mail/smtp.cpp:  little fix...

2001-04-12 04:04  duncan_haldane

	* docs/README.authenticated_smtp, src/mail/smtp.cpp:  cleaner
	format for the ~/.xfmail/.xfmsmtp_accts file
	(where authenticated smtp account datat is stored)

2001-04-08 17:29  duncan_haldane

	* src/: include/umail.h, mail/fmail.h, mail/smtp.cpp,
	ui/dialogs.cpp, ui/dialogs.fd, ui/dialogs.h, ui/help.txt,
	ui/inc.cpp, ui/pop_smtp.cpp:  finished gui featuyres for
	configurable smtp accounts
	(xfmail).  new features are at end of ui/pop_smtp.cpp and inc.cpp
	(need porting to gtk for archimedes).  The config/misc/send dialog
	has a new buttom that accesses add_smtp and smtp_acc dialogs
	created with fdesign (xforms).

2001-04-03 04:08  duncan_haldane

	* src/: include/umail.h, mail/smtp.cpp, mail/smtp_auth.h,
	ui/pop_smtp.cpp: added the popup screen to ask for smtp
	authentiction username and password, if they are not found in the
	.xfmstpm_accts file.

2001-04-02 06:56  duncan_haldane

	* docs/README.authenticated_smtp, src/include/umail.h,
	src/mail/fmail.h, src/mail/smtp.cpp, src/ui/inc.cpp,
	src/ui/xfmail.cpp: added save_smpt_accounts functions

2001-04-02 02:27  duncan_haldane

	* src/mail/: fmail.h, smtp.cpp:  oops a few more fixes for
	authenticated smtp. (duncan)

2001-04-02 01:59  duncan_haldane

	* docs/README.authenticated_smtp, src/mail/TODO.smtp_auth,
	src/mail/fmail.h, src/mail/smtp.cpp: more small fixes for
	authenticated smtp configuration

2001-04-01 23:30  duncan_haldane

	* src/ui/inc.cpp:  change name of configuration file for smtp
	accounts
	to ".xfmsmtp_accts"

2001-04-01 21:29  duncan_haldane

	* src/: include/umail.h, mail/fmail.h, mail/smtp.cpp, ui/inc.cpp,
	ui/xfmail.cpp: configurable smtp accounts (for authentication) are
	now configured in .xfmail/.xfmsmtp  (data is read now; will work on
	gui next )

2001-03-31 11:22  duncan_haldane

	* src/ui/inc.cpp:  prepartions for adding smtp accounts

2001-03-31 11:17  duncan_haldane

	* src/mail/smtp.cpp: progress on the authenticated smptp feature
	...

2001-03-31 06:52  duncan_haldane

	* src/mail/: Makefile.am, fmail.h, smtp.cpp, stunnel.cpp: removed
	the incomplete stunnel support I added earlier, for the moment. 
	Will get back to it later, if I have time...

2001-03-27 09:41  bears

	* src/mail/fmail.cpp: Bug fix. If print_addr decides a name should
	be quoted, ensure it prints quotes when outputting 'name <addr>'.

2001-03-26 00:35  duncan_haldane

	* src/: mail/Makefile.am, mail/child.cpp, ui/Makefile.am,
	ui/child.cpp: Move child.cpp from libmail to ui, as it has ui
	specfic calls (xforms/gtk) now.    XFmail and archimedes will have
	their own specific versions of child.cpp now.

2001-03-02 04:38  duncan_haldane

	* src/: mail/fmail.h, mail/smtp.cpp, mail/stunnel.cpp, ui/inc.cpp: 
	building smtp account structures for authentication

2001-03-01 15:47  kovi

	* src/mail/child.cpp: missed one gtk_main_iteration call before

2001-03-01 15:40  kovi

	* docs/compile.txt, macros/hpux.m4, src/mail/child.cpp: Reverting
	changes made on Feb 27th

2001-03-01 14:50  duncan_haldane

	* src/mail/fmail.h: save_rules() returns int, not void, now.

2001-02-27 10:19  kovi

	* docs/compile.txt, macros/hpux.m4, src/mail/child.cpp,
	src/mail/fmail.h: [no log message]

2001-02-22 22:34  cfreeze

	* macros/debug.m4: CF - added a profiling func to the debug macro,
	Kovi don't hate me for the non debug CFLAGS options... :)

2001-02-19 08:12  duncan_haldane

	* src/mail/stunnel.cpp: beginnings of stunnel support (just dummy
	functions at present)

2001-02-19 08:11  duncan_haldane

	* src/mail/: Makefile.am, fmail.h, smtp.cpp, smtp_auth.cpp,
	smtp_auth.h: putting in the support for authenticated smtp servers,
	and secure connections using stunnel (SSL).

2001-02-17 21:59  duncan_haldane

	* src/ui/rules.cpp:  creat an empty .xfmrules databes if it does
	not already exist
	(to silence the error message at startup)

2001-02-17 15:25  duncan_haldane

	* src/mail/pop.cpp:  use strncpy not strcpy for pop password
	copying

2001-02-16 00:34  duncan_haldane

	* src/mail/gpasswd.cpp:  correct the gPasswd destructor; don't
	"delete"
	pointers not created by "new", etc.

2001-02-11 23:53  cfreeze

	* src/mail/cfgfile.cpp: CF - changed the open modes to ensure that
	positions are set as expected.

2001-02-11 20:19  cfreeze

	* src/mail/cfgfile.cpp: CF - removal of rewind() as some systems
	seem to have a broken implementation

2001-02-11 20:19  cfreeze

	* src/mail/: cfgfile.cpp, cfgfile.h: CF - fix for systems with a
	bad rewind() func in libc

2001-02-11 18:42  cfreeze

	* src/: include/Makefile.am, include/cfgfile.h, mail/child.cpp: CF
	- moved to shared directories

2001-02-11 18:39  duncan_haldane

	* docs/compile.txt, src/mail/gpasswd.cpp, src/mail/gpasswd.h:
	complete the migration to use libmcrypt-2.4.x with gpasswd

2001-02-11 18:34  cfreeze

	* src/mail/: Makefile.am, child.cpp: CF - moved from ui/

2001-02-11 18:33  cfreeze

	* src/mail/cfgfile.cpp: CF - added missing member function

2001-02-11 18:29  duncan_haldane

	* src/mail/fmail.h: increase POP/IMAP allowed password/username
	lengths to 255 with a single pair of defines MAX_PASSWD_LEN,
	MAX_USERNAME_LEN

2001-02-11 17:28  cfreeze

	* src/mail/: cfgfile.cpp, cfgfile.h: CF - generized cfgfile.cpp

2001-02-11 17:20  cfreeze

	* src/ui/: cfgfile.cpp, gpasswd.cpp: CF - moved to mail/

2001-02-11 17:17  cfreeze

	* src/include/gpasswd.h: CF - moved file to mail/

2001-02-11 17:17  cfreeze

	* src/mail/gpasswd.h: CF - moved file from include/

2001-02-11 17:16  cfreeze

	* src/mail/Makefile.am: CF - added moved files.

2001-02-11 17:14  cfreeze

	* src/mail/: cfgfile.h, debug.cpp, debug.h: CF - moved more gui
	independent code.

2001-02-11 17:06  cfreeze

	* src/: mail/Makefile.am, mail/cfgfile.cpp, mail/gpasswd.cpp,
	mail/sound.cpp, ui/Makefile.am, ui/child.cpp, ui/sound.cpp,
	ui/uucode.cpp: CF - moved more gui independent code

2001-02-11 09:03  duncan_haldane

	* src/: mail/fmail.h, mail/imap.cpp, mail/pop.cpp,
	mail/pop.cpp_tmp, ui/imap_conf.cpp, ui/pop_smtp.cpp:  begin to add
	a struct smtp_auth sructure for authencated smtp accounts;
	also clean up hardcoded limit of IMAP and POP usernames and
	passwords to 31 characters; not the lengths are set by
	IMAP_MAX_USERNAME_LEN, IMAX_MAX_PASSWD_LEN, POP_MAX_USERNAME_LEN
	and POP_MAX_PASSWD_LEN in fmail.h.  (Values left at 31, for now). 
	Duuncan H.

2001-02-11 02:57  cfreeze

	* src/mail/: Makefile.am, uucode.cpp: CF - moved uucode functions
	to mail/

2001-02-11 02:54  cfreeze

	* src/: mail/pgp.h, ui/pgp.cpp: CF - cleaned #includes

2001-02-11 02:45  cfreeze

	* src/: mail/pgp.cpp, mail/pgp.h, ui/pgp.cpp: CF - more cleanup of
	moving non gui code out of ui/

2001-02-10 20:16  cfreeze

	* src/ui/pgp.cpp: CF - removed non GUI functions

2001-02-10 20:11  cfreeze

	* src/mail/: Makefile.am, pgp.cpp: CF - moved non GUI pgp code to
	mail/

2001-02-10 19:59  cfreeze

	* src/ui/pgp.cpp: patch from Mariusz Kowalczyk
	<kovi@mkowalczyk.genfys.slu.se>
	
		Fix for GnuPG verify.

2001-02-09 09:07  wim

	* scripts/lxdialog/: BIG.FAT.WARNING, Makefile, checklist.c,
	checklist.o, colors.h, dialog.h, inputbox.c, inputbox.o, lxdialog,
	lxdialog.c, lxdialog.o, menubox.c, menubox.o, msgbox.c, msgbox.o,
	textbox.c, textbox.o, util.c, util.o, yesno.c, yesno.o: This is all
	the custom dialog code from the kernel, used for yes/no buttons,
	checkboxes, input fields, scrollbars, titles, etc.

2001-02-09 09:06  wim

	* scripts/Menuconfig: This is the Menuconfig from the linux kernel,
	but should be really simple to use for XFMail and Archimedes. How
	it'll integrate with autoconf needs to be discussed though.  This
	script uses awk and the lxdialog from the kernel stuff to make nice
	three way check boxes, scroll lists, integrated help, sub menus,
	etc.  It does a lot of stuff already that will take quite a bit of
	work to do using the PV and Curses perl modules.

2001-02-09 02:20  cfreeze

	* src/mail/fmail.h: CF - compile errors of get_view_part() fixed

2001-02-09 02:18  cfreeze

	* src/ui/msg.cpp: CF - removed a non gui function

2001-02-09 02:16  cfreeze

	* src/mail/: Makefile.am, msg.cpp: CF - moved a msg function that
	didn't have an gui parts

2001-02-08 19:33  schoos

	* src/compface/arith.cpp: Added #include <stdio> to fix compile
	error (unknown stderr)

2001-02-08 06:59  cfreeze

	* src/ui/pop_smtp.cpp: CF - set some useful ldap defaults.

2001-02-08 06:57  cfreeze

	* src/ui/imap_conf.cpp: CF - added an extern for the config file.

2001-02-08 06:44  cfreeze

	* src/mail/: fldap.h, ldap.cpp, ldap.h: CF - renamed header to
	avoid /usr/include conflict

2001-02-08 06:23  cfreeze

	* acconfig.h, configure.in, src/ui/imap_conf.cpp,
	src/ui/mime_conf.cpp: CF - mostly compile fixes, had to remove
	functions from mail/ that had gui dependent function calls.

2001-02-08 06:07  cfreeze

	* src/mail/: compat.h, imap.cpp, mime.cpp, nntp.cpp, pop.cpp: CF -
	now compiles under archimedes

2001-02-08 05:09  cfreeze

	* src/mail/: Makefile.am, compat.h: CF - added a compatibility
	header to make using a shared mail directory easier..

2001-02-08 02:37  cfreeze

	* TODO: CF - removed the LDAP todo..

2001-02-08 02:33  cfreeze

	* src/ui/config.cpp: CF - would help if I created the form and
	attached it.

2001-02-08 02:21  cfreeze

	* src/ui/: config.cpp, pop_smtp.cpp: CF - fixed typos...getting
	used to fdesign...one word...yuck...

2001-02-08 02:04  cfreeze

	* src/ui/addr_book.cpp: CF - fixed a typo on my part..

2001-02-08 02:03  cfreeze

	* src/ui/: Makefile.am, addr_book.cpp, choose_folder.h, config.cpp,
	configform.h, dialogs.cpp, dialogs.fd, dialogs.h, pop_smtp.cpp: CF
	- added LDAP code from Archimedes.  Need people to test it badly..

2001-02-08 00:53  cfreeze

	* src/mail/ldap.cpp: CF - removed static declarations

2001-02-08 00:41  cfreeze

	* src/mail/: Makefile.am, ldap.cpp, ldap.h: CF - created a header

2001-02-08 00:29  cfreeze

	* macros/debug.m4: CF - fix of setting debug flags

2001-02-08 00:22  cfreeze

	* po/Makefile.in: CF - fixed dupe .in.in entries..

2001-02-08 00:12  cfreeze

	* macros/faces.m4: CF - fixed inconsistant library name in faces.m4

2001-02-07 17:58  cfreeze

	* po/Makefile.in: CF - seems it needs this file too

2001-02-07 17:56  cfreeze

	* po/: Makefile.in, Makefile.in.in: CF - gave it the correct name

2001-02-07 17:31  cfreeze

	* configure.in, po/Makefile.in.in: CF - added missing file

2001-02-07 17:27  cfreeze

	* data/Makefile.am: CF - correct xpm names

2001-02-07 17:05  cfreeze

	* acconfig.h: CF - take care of i18n stuff

2001-02-07 09:13  wim

	* contrib/: PVWindow.pm, configure.options, configure.pl: Finished
	off the curses interface to the ./configure options.
	
	configure.options: the option names, arguments, and types
	configure.pl: does the work of reading the options file, creating a
	dialog, then printing out all the --args PVWindow.pm: handles
	initializing the curses stuff
	
	This requires the Curses and PV perl modules to be installed.
	
	The only thing that needs to be done is make it handle more than 15
	options nicely. PV doesn't handle that natively... I may just add
	sub dialogs, kind of like the Linux kernel menuconfig does it.

2001-02-07 00:42  cfreeze

	* src/: include/gpasswd.h, ui/gpasswd.cpp: patch from Mariusz
	Kowalczyk <kovi@mkowalczyk.genfys.slu.se>	  Now you can use
	libmcrypt 2.4.x and above.

2001-02-06 23:04  cfreeze

	* po/POTFILES.in, src/mail/fmail.cpp, src/ui/dialogs.cpp,
	src/ui/dialogs.fd, src/ui/dialogs.h, src/ui/misc.cpp: CF - new
	config option to print headers if wanted.  Defaults to not printing
	headers.

2001-02-06 21:59  cfreeze

	* Makefile.am: CF - added po directory to make automake happy

2001-02-06 21:54  cfreeze

	* configure.in, src/mail/Makefile.am: CF - now sets BUILD_XFMAIL or
	BUILD_ARCHIMEDES based on which project your building

2001-02-06 21:31  cfreeze

	* src/: editor/Makefile.am, include/cfgfile.h, include/umail.h,
	ui/Makefile.am, ui/about.cpp, ui/addr_book.cpp, ui/child.cpp,
	ui/choose_folder.cpp, ui/inc.cpp, ui/mime_conf.cpp, ui/misc.cpp,
	ui/msg.cpp, ui/pgp.cpp, ui/rules.cpp, ui/search.cpp, ui/sign.cpp,
	ui/sort.cpp, ui/spellchecker.cpp, ui/view_edit.cpp, ui/xfmail.cpp:
	CF - should compile again after moving to stnd mem functions and
	moving the fmail.h header back to a shared directory.

2001-02-06 20:38  cfreeze

	* acconfig.h, src/include/cfgfile.h, src/include/fmail.h: CF -
	moving back to stnd mem functions

2001-02-06 20:21  cfreeze

	* src/mail/: cache.cpp, fmail.cpp, fmail.h, imap.cpp, mbox.cpp,
	mime.cpp, pop.cpp, smtp.cpp, util.cpp: CF - moved back to stnd
	memory functions

2001-02-06 20:12  cfreeze

	* src/editor/: fl_edit.cpp, textbuf.cpp: CF - moved back to stnd
	mem functions

2001-02-06 19:40  cfreeze

	* docs/rfc/: index.txt, rfc1823.txt.bz2, rfc2554.txt.bz2: CF -
	Added new RFC's for ldap and smtp authenication

2001-02-06 19:34  cfreeze

	* macros/: dbm.m4, hpux.m4: CF - touch ups of the macros

2001-02-06 19:12  cfreeze

	* macros/hpux.m4: CF - new hpux macro

2001-02-06 19:06  cfreeze

	* configure.in, macros/debug.m4, macros/info.m4, macros/ldap.m4: CF
	- added new info macro, cleaned othes

2001-02-06 18:41  cfreeze

	* src/mail/cache.cpp: CF - dbm header problems should now be fixed
	for every distro

2001-02-06 18:38  cfreeze

	* configure.in, macros/ldap.m4: CF - new ldap macro

2001-02-06 18:26  cfreeze

	* macros/: dbm.m4, debug.m4: CF - new debug macro

2001-02-06 18:13  wim

	* contrib/: configure.options, configure.pl: First version (broken)
	of the frontend to the configure options. configure.options is the
	file containing the names, types, actuall -- argument, and
	description of the options.
	
	This is still broken.

2001-02-06 18:03  cfreeze

	* configure.in, macros/sound.m4, src/ui/Makefile.am: CF - use of
	new sound macro

2001-02-06 17:40  cfreeze

	* macros/extra.m4: CF - new macro for specifing extra
	includes/library locations

2001-02-06 17:20  cfreeze

	* macros/: mmap.m4, prog_chk.m4: CF - added new macros

2001-02-06 06:02  cfreeze

	* data/Makefile.am: CF - fix xfmail_DATA warning

2001-02-06 05:55  cfreeze

	* acconfig.h, configure.in, macros/dbm.m4: CF - added dbm header
	finding to dbm macro.

2001-02-06 05:37  cfreeze

	* configure.in: CF - makes use of new dbm macro

2001-02-06 05:37  cfreeze

	* macros/: dbm.m4, dead_keys.m4, pthread.m4, regex.m4: CF - start
	of dbm macro, only checks for libs right now.

2001-02-06 05:18  cfreeze

	* configure.in, macros/pthread.m4: CF - use modified thread macro

2001-02-06 05:12  cfreeze

	* configure.in, macros/dead_keys.m4: CF - made naming be consistant

2001-02-06 05:11  cfreeze

	* configure.in, macros/dead_keys.m4, macros/maildir.m4: CF - added
	another macro, maildir now searches the cache again as well..

2001-02-06 04:40  cfreeze

	* src/ui/pgp.cpp: patch from Mike Heffner <mheffner@vt.edu>    
	More tweaking of the GnuPG verifying

2001-02-06 04:34  cfreeze

	* src/mail/pop.cpp: patch from Mike Heffner <mheffner@vt.edu>	Fix
	on FreeBSD for unitialized memory where it would core dump	   
	on exit.

2001-02-06 04:29  cfreeze

	* configure.in, macros/dmalloc.m4, macros/maildir.m4: CF - added a
	maildir macro to search for where mail is spooled

2001-02-06 03:41  cfreeze

	* macros/faces.m4, src/Makefile.am, src/ui/Makefile.am: CF - new
	macros work.  wierd problem of automake not replacing the
	AM_CONDITIONAL like it's supposed too.	It didn't do anything with
	it, now it does.

2001-02-06 02:54  cfreeze

	* macros/: faces.m4, regex.m4: CF - fixed more typos

2001-02-06 02:52  cfreeze

	* macros/regex.m4: CF - fixed a typo

2001-02-06 02:07  cfreeze

	* configure.in, macros/faces.m4, macros/regex.m4: CF - removed dup
	code from configure to macros

2001-02-05 22:40  wim

	* autogen.sh: Fixed path to help_gen

2001-02-05 21:55  cfreeze

	* src/mail/cache.cpp: CF - attempt to fix debian's gdbm/ndbm
	inconsistancies..

2001-02-05 21:48  cfreeze

	* src/ui/pgp.cpp: patch from Mike Heffner <mheffner@vt.edu>    
	More fixes for GnuPG verifying mime attachments.

2001-02-05 20:56  cfreeze

	* contrib/: Makefile.am, misc/Makefile.am: CF - cleaned
	Makefile.am's in shared modules.

2001-02-05 20:51  cfreeze

	* contrib/misc/: Rules2Procmail.pl, Rules2Procmail.pl.in: CF -
	moved more files over to shared modules

2001-02-05 20:49  cfreeze

	* configure.in, contrib/misc/build.sh.in: CF - moving files to
	shared modules

2001-02-05 20:41  cfreeze

	* Makefile.am: CF - added a log make target to run cvs2cl.pl from
	contrib/misc

2001-02-05 17:27  cfreeze

	* src/mail/imap.cpp: CF - fix of Alan's IMAP bug on first time
	start up.

2001-02-05 06:41  cfreeze

	* src/include/config.h.in: CF - removed unneeded file.

2001-02-05 06:18  cfreeze

	* src/compface/Makefile.am: CF - added missing Makefile.am

2001-02-05 05:59  cfreeze

	* src/ui/: Makefile.am, RdBitF.cpp, about.cpp, addr_book.cpp,
	cfgfile.cpp, child.cpp, choose_folder.cpp, choose_folder.h,
	config.cpp, config.h.os2, configform.h, dialogs.cpp, dialogs.fd,
	dialogs.h, faces.cpp, font.cpp, gpasswd.cpp, help.cpp, help.txt,
	help_gen, imap_conf.cpp, inc.cpp, int_conf.cpp, keymap.cpp,
	log.cpp, mime_conf.cpp, misc.cpp, msg.cpp, newobjs.h, pgp.cpp,
	pixmaps.h, pop_smtp.cpp, rep_fwd.cpp, rules.cpp, search.cpp,
	sign.cpp, sort.cpp, sound.cpp, spellchecker.cpp, spellchecker.h,
	uucode.cpp, version.src, view_edit.cpp, xfmail.cpp, xfmail.h: CF -
	accidently trashed these in my zealous moving of files..

2001-02-05 05:53  cfreeze

	* contrib/misc/: Rules2Procmail.pl, Rules2Procmail.txt: CF - moved
	to contrib/misc as they are shared.

2001-02-05 05:27  cfreeze

	* docs/rfc/: rfc1939.txt.bz2, rfc2045.txt.bz2, rfc2046.txt.bz2,
	rfc2047.txt.bz2, rfc2048.txt.bz2, rfc2049.txt.bz2, rfc2060.txt.bz2,
	rfc821.txt.bz2, rfc822.txt.bz2: CF - Added RFC docs back in to new
	module

2001-02-05 05:10  cfreeze

	* contrib/misc/: blah.tar, blah.zip, blah2.tar: CF - cleaning up
	thing a bit

2001-02-05 04:48  cfreeze

	* contrib/misc/space2tab.pl: CF - moving files around

2001-02-05 04:46  cfreeze

	* contrib/misc/: commit_prep.pl, log.pl, log_accum.pl, syncmail.py:
	CF - cleanup and test six

2001-02-05 04:34  cfreeze

	* contrib/misc/syncmail.py: CF - added syncmail from the python
	group.

2001-02-05 04:14  cfreeze

	* contrib/misc/: commit_prep.pl, commit_prep.pl, log.pl,
	log_accum.pl: [no log message]

2001-02-05 03:55  cfreeze

	* contrib/misc/: blah3.tar, log_accum.pl: [no log message]

2001-02-05 03:49  cfreeze

	* contrib/misc/log_accum.pl: CF - trying to fix uninit vars
	problems

2001-02-05 02:49  cfreeze

	* contrib/misc/: blah3.tar, commit_prep.pl, log.pl, log_accum.pl:
	[no log message]

2001-02-05 02:25  cfreeze

	* contrib/misc/blah2.tar: [no log message]

2001-02-05 02:12  cfreeze

	* contrib/misc/blah.tar: [no log message]

2001-02-05 02:07  cfreeze

	* contrib/misc/blah.zip: [no log message]

2001-02-05 02:02  cfreeze

	* contrib/misc/: commit_prep.pl, cvs2cl.pl, log.pl, log_accum.pl:
	CF - readded with the -kb flag

2001-02-05 01:58  cfreeze

	* contrib/misc/: commit_prep.pl, cvs2cl.pl, log.pl, log_accum.pl:
	CF - forgot to use -kb in adding so that they will still be
	executable.

2001-02-05 01:54  cfreeze

	* contrib/misc/: commit_prep.pl, log.pl, log_accum.pl: CF -
	addition of newer CVS helper scripts

2001-02-05 01:30  cfreeze

	* contrib/misc/cvs2cl.pl: Initial revision

2001-02-05 01:30  cfreeze

	* contrib/misc/cvs2cl.pl: CF - initial import of the misc files
	directory

2001-02-04 23:20  cfreeze

	* intl/: finddomain.c, cat-compat.c, explodename.c, gettextP.h,
	linux-msg.sed, xopen-msg.sed, Makefile.in, VERSION, gettext.c,
	gettext.h, l10nflist.c, bindtextdom.c, dcgettext.c, loadinfo.h,
	hash-string.h, intl-compat.c, localealias.c, ChangeLog, dgettext.c,
	libgettext.h, loadmsgcat.c, po2tbl.sed.in, textdomain.c: Initial
	revision

2001-02-04 23:20  cfreeze

	* intl/: finddomain.c, cat-compat.c, explodename.c, gettextP.h,
	linux-msg.sed, xopen-msg.sed, Makefile.in, VERSION, gettext.c,
	gettext.h, l10nflist.c, bindtextdom.c, dcgettext.c, loadinfo.h,
	hash-string.h, intl-compat.c, localealias.c, ChangeLog, dgettext.c,
	libgettext.h, loadmsgcat.c, po2tbl.sed.in, textdomain.c: CF -
	initial import of the intl code.

2001-02-04 23:14  cfreeze

	* macros/: check_typedef.m4, dmalloc.m4, mozilla.m4, pthread.m4: CF
	- initial import of the m4 macros

2001-02-04 23:12  cfreeze

	* src/regex/regex.c, src/regex/Makefile.am, src/regex/regex.h,
	src/regex/COPYING, macros/check_typedef.m4, macros/dmalloc.m4,
	macros/mozilla.m4, macros/pthread.m4: Initial revision

2001-02-04 23:12  cfreeze

	* src/regex/: regex.c, Makefile.am, regex.h, COPYING: CF - initial
	import of the libregex code.

2001-02-04 23:08  cfreeze

	* docs/: compile.txt, mail-ssl.txt, running.txt, CREDITS,
	pgp-notes.txt, rfc/index.txt: CF - initial import of the documents.

2001-02-04 23:07  cfreeze

	* src/compface/Makefile.am, src/compface/arith.cpp,
	src/compface/compface.h, src/compface/compress.cpp,
	src/compface/data.h, src/compface/face.cpp, src/compface/file.cpp,
	src/compface/gen.cpp, docs/compile.txt, docs/mail-ssl.txt,
	docs/running.txt, docs/CREDITS, docs/pgp-notes.txt,
	docs/rfc/index.txt: Initial revision

2001-02-04 23:07  cfreeze

	* src/compface/: Makefile.am, arith.cpp, compface.h, compress.cpp,
	data.h, face.cpp, file.cpp, gen.cpp: CF - initial import of the lib
	faces code.

2001-02-04 22:44  cfreeze

	* src/mail/: cache.cpp, md5.c, md5.h, Makefile.am, TODO.smtp_auth,
	mime.cpp, mbox.cpp, imap.cpp, smtp_auth.cpp, pop.cpp_tmp,
	smtp_auth.h, connection.h, connectionManager.cpp, fmail.cpp,
	smtp.cpp, connection.cpp, nntp.cpp, pop.cpp, util.cpp: Initial
	revision

2001-02-04 22:44  cfreeze

	* src/mail/: cache.cpp, md5.c, md5.h, Makefile.am, TODO.smtp_auth,
	mime.cpp, mbox.cpp, imap.cpp, smtp_auth.cpp, pop.cpp_tmp,
	smtp_auth.h, connection.h, connectionManager.cpp, fmail.cpp,
	smtp.cpp, connection.cpp, nntp.cpp, pop.cpp, util.cpp: CF - initial
	import of libmail split.

2001-02-04 16:50  cfreeze

	* src/include/fmail.h: patch from Mike Heffner <mheffner@vt.edu>
	
		 FreeBSD defines sys_nerr differently in <stdio.h>,
		 so it just conflicts..

2001-02-04 06:10  cfreeze

	* src/include/config.h.in: CF - add notice if selecting ESD but's
	not compiled in.

2001-02-04 06:00  cfreeze

	* Makefile.in: CF - removed more unneeded files..

2001-02-04 05:44  cfreeze

	* ChangeLog: CF - update of changelog

2001-02-04 05:42  cfreeze

	* xfmail.spec: CF - removed files left over from merger..

2001-02-04 05:37  cfreeze

	* configure.in, contrib/xfmail.spec.in, src/include/cfgfile.h: CF -
	merger of changes that didn't make it from the 1.4.7 trunk due to
	the file renaming that occured in the 1.4.8 branch.

2001-02-04 05:22  cfreeze

	* ABOUT-NLS, AUTHORS, Makefile.am, Makefile.in, NEWS, acconfig.h,
	autogen.sh, configure.in, install.sh, runme, contrib/Makefile.am,
	contrib/xfmail.desktop, contrib/xfmail.spec.in, data/Makefile.am,
	data/abook.xpm, data/abort.xpm, data/attach.xpm, data/delete.xpm,
	data/delsign.xpm, data/edit.xpm, data/exit.xpm, data/forward.xpm,
	data/gena.xpm, data/help.xpm, data/icon_mail.xpm,
	data/icon_nomail.xpm, data/insert.xpm, data/insorig.xpm,
	data/mail_edit.xpm, data/mailcur.xbm, data/mailcur_mask.xbm,
	data/move.xpm, data/newmail.xpm, data/next.xpm, data/nextu.xpm,
	data/prev.xpm, data/prevu.xpm, data/print.xpm, data/reply.xpm,
	data/retr.xpm, data/save.xpm, data/send.xpm, data/sign.xpm,
	data/spell.xpm, data/view.xpm, debian/control, debian/dirs,
	debian/docs, debian/menu, debian/rules, man/Makefile.am,
	man/xfmail.1, src/Makefile.am, src/editor/Makefile.am,
	src/editor/fl_edit.cpp, src/editor/fl_edit.h,
	src/editor/fl_error.h, src/editor/textbuf.cpp,
	src/editor/textbuf.h, src/include/Makefile.am,
	src/include/cfgfile.h, src/include/config.h.in,
	src/include/connectionManager.h, src/include/fmail.h,
	src/include/gettext.h, src/include/gpasswd.h, src/include/umail.h,
	src/include/version.h.in: CF - initial branch merger of 1.4.8 into
	the main truck of XFMail.

2001-02-04 02:37  cfreeze

	* xfmail.spec: CF - made a few changes since we don't package with
	./configure.

2001-02-04 00:33  cfreeze

	* ChangeLog, xfmail.spec: CF - Update of ChangeLog and spec
	description.  Release of XFMail 1.4.7.

2001-02-02 05:59  cfreeze

	* Makefile.in: CF - fix of include directive

2001-02-02 05:35  cfreeze

	* Makefile.in, configure.in: CF - better handling of regex and
	faces flags

2001-02-02 05:25  cfreeze

	* Makefile.in, configure.in, src/include/config.h.in: CF - final
	compile check..

2001-02-02 04:25  cfreeze

	* Makefile.in, autogen.sh, src/editor/fl_edit.h: CF - linking
	issues resolved.  Now fully under autoconf/automake

2001-02-02 03:58  cfreeze

	* configure.in: CF - forgot to update AC_INIT

2001-02-02 03:54  cfreeze

	* Makefile.in, configure.in, src/editor/Makefile.am,
	src/editor/fl_edit.c, src/editor/fl_edit.cpp, src/editor/textbuf.c,
	src/editor/textbuf.cpp, src/include/config.h.in,
	src/include/version.h.in: CF - compile issues resolved..still
	linking problems exist though..

2001-02-02 03:54  cfreeze

	* src/editor/fl_edit.cpp: file fl_edit.cpp was initially added on
	branch Branch-1_4_8.

2001-02-02 03:54  cfreeze

	* src/editor/textbuf.cpp: file textbuf.cpp was initially added on
	branch Branch-1_4_8.

2001-02-02 02:49  cfreeze

	* src/editor/Makefile.am: file Makefile.am was initially added on
	branch Branch-1_4_8.

2001-02-02 02:49  cfreeze

	* Makefile.in, configure.in, src/Makefile.am,
	src/editor/Makefile.am: CF - conditional compilation of regex and
	faces support

2001-02-02 02:37  cfreeze

	* src/include/cfgfile.h: file cfgfile.h was initially added on
	branch Branch-1_4_8.

2001-02-02 02:37  cfreeze

	* src/include/config.h.in: file config.h.in was initially added on
	branch Branch-1_4_8.

2001-02-02 02:37  cfreeze

	* src/include/umail.h: file umail.h was initially added on branch
	Branch-1_4_8.

2001-02-02 02:37  cfreeze

	* contrib/xfmail.spec.in: file xfmail.spec.in was initially added
	on branch Branch-1_4_8.

2001-02-02 02:37  cfreeze

	* man/Makefile.am, src/include/Makefile.am: file Makefile.am was
	initially added on branch Branch-1_4_8.

2001-02-02 02:37  cfreeze

	* src/include/gettext.h: file gettext.h was initially added on
	branch Branch-1_4_8.

2001-02-02 02:37  cfreeze

	* Makefile.in, acconfig.h, autogen.sh, configure.in,
	contrib/xfmail.spec.in, man/Makefile.am, src/include/Makefile.am,
	src/include/cfgfile.h, src/include/config.h.in,
	src/include/gettext.h, src/include/gpasswd.h, src/include/umail.h:
	CF - fix of typos, missing files, and misplaced files.

2001-02-02 02:37  cfreeze

	* src/include/gpasswd.h: file gpasswd.h was initially added on
	branch Branch-1_4_8.

2001-02-02 02:07  cfreeze

	* src/include/version.h.in: file version.h.in was initially added
	on branch Branch-1_4_8.

2001-02-02 02:07  cfreeze

	* configure.in, src/include/version.h.in: CF - now using automake

2001-02-02 01:52  cfreeze

	* configure.in: CF - more tree structuring

2001-02-02 01:52  cfreeze

	* configure.in: file configure.in was initially added on branch
	Branch-1_4_8.

2001-02-02 01:50  cfreeze

	* acconfig.h, install.sh: CF - more reconfiguring of the tree

2001-02-02 01:50  cfreeze

	* acconfig.h: file acconfig.h was initially added on branch
	Branch-1_4_8.

2001-02-02 01:47  cfreeze

	* Makefile.am, man/xfmail.1: CF - more reconfiguring of the cvs
	tree.

2001-02-02 01:47  cfreeze

	* man/xfmail.1: file xfmail.1 was initially added on branch
	Branch-1_4_8.

2001-02-02 01:29  cfreeze

	* autogen.sh: file autogen.sh was initially added on branch
	Branch-1_4_8.

2001-02-02 01:29  cfreeze

	* Makefile.am, contrib/Makefile.am, data/Makefile.am,
	src/Makefile.am: file Makefile.am was initially added on branch
	Branch-1_4_8.

2001-02-02 01:29  cfreeze

	* src/include/fmail.h: file fmail.h was initially added on branch
	Branch-1_4_8.

2001-02-02 01:29  cfreeze

	* ABOUT-NLS: file ABOUT-NLS was initially added on branch
	Branch-1_4_8.

2001-02-02 01:29  cfreeze

	* src/include/connectionManager.h: file connectionManager.h was
	initially added on branch Branch-1_4_8.

2001-02-02 01:29  cfreeze

	* ABOUT-NLS, AUTHORS, Makefile.am, NEWS, autogen.sh, runme,
	contrib/Makefile.am, data/Makefile.am, src/Makefile.am,
	src/include/connectionManager.h, src/include/fmail.h: CF - addition
	of most Makefile.am's and renaming source files.

2001-02-02 01:29  cfreeze

	* NEWS: file NEWS was initially added on branch Branch-1_4_8.

2001-02-02 01:29  cfreeze

	* AUTHORS: file AUTHORS was initially added on branch Branch-1_4_8.

2001-02-01 23:34  cfreeze

	* contrib/xfmail.desktop: CF - cleanup of the contrib dir

2001-02-01 23:34  cfreeze

	* contrib/xfmail.desktop: file xfmail.desktop was initially added
	on branch Branch-1_4_8.

2001-02-01 23:23  cfreeze

	* xfmail.spec: CF - cleanup of unneeded files..

2001-02-01 23:11  cfreeze

	* data/delsign.xpm: file delsign.xpm was initially added on branch
	Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/abort.xpm: file abort.xpm was initially added on branch
	Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/newmail.xpm: file newmail.xpm was initially added on branch
	Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/gena.xpm: file gena.xpm was initially added on branch
	Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* Makefile.in, data/abook.xpm, data/abort.xpm, data/attach.xpm,
	data/delete.xpm, data/delsign.xpm, data/edit.xpm, data/exit.xpm,
	data/forward.xpm, data/gena.xpm, data/help.xpm, data/icon_mail.xpm,
	data/icon_nomail.xpm, data/insert.xpm, data/insorig.xpm,
	data/mail_edit.xpm, data/mailcur.xbm, data/mailcur_mask.xbm,
	data/move.xpm, data/newmail.xpm, data/next.xpm, data/nextu.xpm,
	data/prev.xpm, data/prevu.xpm, data/print.xpm, data/reply.xpm,
	data/retr.xpm, data/save.xpm, data/send.xpm, data/sign.xpm,
	data/spell.xpm, data/view.xpm: CF - more of the transition to a new
	structure, should compile again..

2001-02-01 23:11  cfreeze

	* data/attach.xpm: file attach.xpm was initially added on branch
	Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/nextu.xpm: file nextu.xpm was initially added on branch
	Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/next.xpm: file next.xpm was initially added on branch
	Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/insert.xpm: file insert.xpm was initially added on branch
	Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/save.xpm: file save.xpm was initially added on branch
	Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/view.xpm: file view.xpm was initially added on branch
	Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/print.xpm: file print.xpm was initially added on branch
	Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/prev.xpm: file prev.xpm was initially added on branch
	Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/mailcur_mask.xbm: file mailcur_mask.xbm was initially added
	on branch Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/edit.xpm: file edit.xpm was initially added on branch
	Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/help.xpm: file help.xpm was initially added on branch
	Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/abook.xpm: file abook.xpm was initially added on branch
	Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/insorig.xpm: file insorig.xpm was initially added on branch
	Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/forward.xpm: file forward.xpm was initially added on branch
	Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/spell.xpm: file spell.xpm was initially added on branch
	Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/mailcur.xbm: file mailcur.xbm was initially added on branch
	Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/move.xpm: file move.xpm was initially added on branch
	Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/mail_edit.xpm: file mail_edit.xpm was initially added on
	branch Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/exit.xpm: file exit.xpm was initially added on branch
	Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/prevu.xpm: file prevu.xpm was initially added on branch
	Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/reply.xpm: file reply.xpm was initially added on branch
	Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/retr.xpm: file retr.xpm was initially added on branch
	Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/icon_mail.xpm: file icon_mail.xpm was initially added on
	branch Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/icon_nomail.xpm: file icon_nomail.xpm was initially added on
	branch Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/sign.xpm: file sign.xpm was initially added on branch
	Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/send.xpm: file send.xpm was initially added on branch
	Branch-1_4_8.

2001-02-01 23:11  cfreeze

	* data/delete.xpm: file delete.xpm was initially added on branch
	Branch-1_4_8.

2001-02-01 22:54  cfreeze

	* src/editor/textbuf.c: file textbuf.c was initially added on
	branch Branch-1_4_8.

2001-02-01 22:54  cfreeze

	* src/editor/fl_edit.h: file fl_edit.h was initially added on
	branch Branch-1_4_8.

2001-02-01 22:54  cfreeze

	* src/editor/fl_edit.c: file fl_edit.c was initially added on
	branch Branch-1_4_8.

2001-02-01 22:54  cfreeze

	* src/editor/fl_error.h: file fl_error.h was initially added on
	branch Branch-1_4_8.

2001-02-01 22:54  cfreeze

	* src/editor/textbuf.h: file textbuf.h was initially added on
	branch Branch-1_4_8.

2001-02-01 22:54  cfreeze

	* xfmail.vpj, src/editor/fl_edit.c, src/editor/fl_edit.h,
	src/editor/fl_error.h, src/editor/textbuf.c, src/editor/textbuf.h:
	CF - start of directory structure change

2001-02-01 05:38  cfreeze

	* ChangeLog, xfmail.vpj: CF - updated the changelog, removed an
	unneeded file.

2001-02-01 04:03  cfreeze

	* debian/: control, dirs, docs, menu, rules: CF - initial import of
	the debian patch from http://packages.debian.org that I found.	Why
	didn't this flow back upstream to the team for inclusion earlier?

2001-02-01 04:03  cfreeze

	* debian/rules: file rules was initially added on branch
	Branch-1_4_8.

2001-02-01 04:03  cfreeze

	* debian/docs: file docs was initially added on branch
	Branch-1_4_8.

2001-02-01 04:03  cfreeze

	* debian/dirs: file dirs was initially added on branch
	Branch-1_4_8.

2001-02-01 04:03  cfreeze

	* debian/control: file control was initially added on branch
	Branch-1_4_8.

2001-02-01 04:03  cfreeze

	* debian/menu: file menu was initially added on branch
	Branch-1_4_8.

2001-01-30 05:45  cfreeze

	* ChangeLog: CF - updated changelog

2001-01-30 03:54  cfreeze

	* Makefile.in, xfmail.spec: CF - updated the version tags to 1.4.8

2001-01-26 19:15  cfreeze

	* KNOWNBUGS: CF - updated about the XForms problems.

2001-01-26 19:13  cfreeze

	* COPYING, Copyright: CF - updated the rest of the copyrights.

2001-01-26 19:08  cfreeze

	* ChangeLog: CF - updated the changelog

2001-01-26 19:06  cfreeze

	* GPASSWD.txt, README.old, README.os2, mail-ssl.txt: CF - moved
	docs over to separate directory

2000-11-01 06:32  wim

	* mail-ssl.txt: A quick mini-HOWTO on howto use IMAP over SSL with
	XFMail.

2000-11-01 05:07  cfreeze

	* ChangeLog, Makefile.in, README, xfmail.spec: CF - prep for 1.4.7
	release that will most likely happen with in the next week or so.

2000-05-28 16:16  cfreeze

	* xfmail.spec: CF - cleaned spec file

2000-05-28 00:49  cfreeze

	* ChangeLog: CF - accidently trashed this..

2000-05-27 23:53  cfreeze

	* ChangeLog: CF - updated of changelog

2000-05-27 23:44  cfreeze

	* ChangeLog, Makefile.in, xfmail.spec: CF - version # change for
	release.

2000-05-26 17:25  cfreeze

	* GPASSWD.txt: CF - just realized mcrypt has changed versions and
	some of the API

2000-05-26 15:12  cfreeze

	* ChangeLog: CF - updated changelog

2000-05-26 15:12  cfreeze

	* Makefile.in: CF - updated version #'s to Pre3

2000-05-04 09:42  cfreeze

	* GPASSWD.txt: 
	I just finished the global encryption finally..
	
	Here is how it boils down...
	
	you *MANUALLY* edit $HOME/.xfmail/.xfmailrc to include
	use_gpasswd=1
	
	After this, start xfmail and choose a pass phrase < 32 characters
	After doing this, edit all of the receive sources you have to
	include the toggle option of "store password".	Now when you exit
	your passwords will be encrypted with TwoFish and your secret pass
	phrase.
	
	Reasoning for this option:	   If you have multiple mail
	accounts you pull from, entering each	      password each time
	you start can be annoying.  Storing your	  passwords in
	plain text is highly insecure.	Now, one password	   will
	unlock all of your passwords that are stored using		  
	strong encryption.
	
	Steps for compiling:	    Install libmcrypt  URL:
	http://mcrypt.hellug.gr/					 
	RPMS: ftp://ftp.fazekas.hu/pub/linux/rpms/mcrypt/
	
		    run ./configure --enable-gpasswd
	
		    Then make as normal.

2000-05-04 04:21  cfreeze

	* ChangeLog, Changes: CF - Moved Changes to ChangeLog

2000-05-04 03:56  cfreeze

	* Makefile.in: CF - Update for 1.4.6Pre2, fix a commented line I
	left in the rules evaluation.

2000-05-02 00:41  cfreeze

	* runme: CF - clean up

2000-05-02 00:39  cfreeze

	* runme: CF - forgot to run ./configure

2000-05-02 00:38  cfreeze

	* runme: CF - cosmetic touch-ups.

2000-05-02 00:33  cfreeze

	* runme: CF - fix of runme script.

2000-05-02 00:26  cfreeze

	* configure: CF - removed the configure script.  use 'runme' to
	create the configure script.  This is for the CVS sources and in
	releases should be included.

2000-05-02 00:24  cfreeze

	* build.sh, runme: CF - Rearranged some files, changing the version
	number to indicate cvs status.

2000-05-01 23:04  cfreeze

	* configure: CF - Fix for a #define DMALLOC stmnt I left in
	fmail.h.  Should compile now if you don't have dmalloc installed.

2000-05-01 02:45  cfreeze

	* Changes: CF - Added a little bit of information to stderr on load
	and exit, also on the about dialog.  The information is displayed
	as [NumKeysSaved/NumKeysInMap].

2000-05-01 02:08  cfreeze

	* configure: CF - This version of the config file class has not
	dropped any keys for me.  I think I have found the problem with the
	STL map.  This same problem came up with a RPC
	client,nameserver,clientserver setup I'm working on in a distro os
	class.	Seems like the index into the map is based more on the
	memory location of the key, than it's value.  After ensuring that
	each key was given a new memory address, keys stopped dropping. 
	Every STL reference book I have fails to note this.
	
	Also shouldn't generate Makefile's unless you have some variant of
	XForms .88.  Should fix prob of people reporting bugs on paste
	crashes.

2000-05-01 00:58  cfreeze

	* configure: CF - Fix for the missing -ldmalloc line in
	ui/Makefile.  Seems like the line for autoconf was failing.

2000-04-20 16:51  xfmail

	* Changes: CF - updated Changes file

2000-04-20 01:07  xfmail

	* Changes: 2000-04-19 20:54  xfmail
	
	    Added Jim Hague's (jim.hague@insignia.com) XFMail rules
		to Procmail rules converter.
	
	    Created new contrib directory for "at large" contributions.

2000-04-20 01:01  xfmail

	* Changes: CF - Updated change logs.

2000-01-18 03:10  xfmail

	* configure: patch from  Mariusz Kowalczyk
	<kovi@mkowalczyk.genfys.slu.se>   Included small patch for
	configure.in. Works on systems with ANSI C++ compilers and old X
	headers. It only makes sure that -fpermissive flag is included in
	CPPFLAGS in such systems, otherwise g++ exits with "ANSI C++
	forbids declarations without a type".

2000-01-18 01:38  xfmail

	* Changes, Makefile.in, README.old, configure, xfmail.spec: CF -
	backed out a few of the Christmas changes.	Included support
	for DMALLOC if you have it, otherwise you	   have to have
	glib now.  visit www.dmalloc.com if you want	      to help out
	with the memory problems.      New bug in cfgfile has popped up.  I
	need Vic looking through it	     to find out what is going on.

1999-12-07 22:46  xfmail

	* Makefile.in, build.sh: 12-7-1999
	
	patch from Mark Powell <medp@primag.co.uk>]	    Ensure all data
	written to a socket actually gets sent. 	 Regex compile
	problems fixed for platforms other than linux.		Allow
	xfmail to be configured --without-sound

1999-12-05 06:06  xfmail

	* Makefile.in, build.sh, xfmail.spec: CF - 1.4.4 is out..The End..

1999-12-04 23:53  xfmail

	* Changes: CF - Final update before release

1999-12-04 23:50  xfmail

	* Makefile.in, build.sh, configure: CF - Fixed the cache
	directories problem on upgrades.

1999-12-03 03:55  xfmail

	* configure: CF - pointer reference fixed.

1999-11-28 06:43  xfmail

	* build.sh: Another update

1999-11-24 08:37  xfmail

	* build.sh: Some changes to build.sh

1999-11-23 19:06  xfmail

	* configure: CF - it blew up because of stuff I left in...geez..I
	need sleep....

1999-11-23 18:11  xfmail

	* configure: patch from [Victor Brilion <victor@vail.net>]	  
	Small optimization patch to cfgfile code.

1999-11-20 17:44  xfmail

	* build.sh: CF - More solaris fixes..

1999-11-20 00:48  xfmail

	* Changes, configure: CF - Updated the last of the files for
	1.4.3cvs.

1999-11-20 00:37  xfmail

	* Makefile.in: CF - fixed the mime bug over all encodings.  updated
	to 1.4.3cvs

1999-11-18 20:38  xfmail

	* build.sh: CF - Added Wim's build script.

1999-11-15 07:01  xfmail

	* Changes, xfmail.spec: CF - forgot to change ver info

1999-11-15 06:54  xfmail

	* Makefile.in, README, README.old: CF - last clean up and release
	of 1.4.2

1999-11-10 18:46  xfmail

	* xfmail.vpj: CF - forgot these files...

1999-11-10 07:50  xfmail

	* wim: Removed my test.
	
	Wim.

1999-11-10 07:49  xfmail

	* wim: Just a test.  This can be removed.
	
	-Wim wim@netmaster.ca

1999-11-10 04:40  xfmail

	* Makefile.in: CF - forgot something..

1999-11-10 04:39  xfmail

	* Makefile.in, xfmail.spec: CF - Final prep for 1.4.1

1999-11-10 04:29  xfmail

	* xfmail.vpj: CF - Hooked in the Connection Manager...

1999-11-10 01:16  xfmail

	* Changes, README, xfmail.vpj: CF - Unlimited # of connections,
	connection core re-write finished..

1999-11-09 21:03  xfmail

	* xfmail.vpj: CF - more redesign of the core

1999-11-09 06:06  xfmail

	* xfmail.vpj: CF - fixed the config bug, where if you didn't have a
	fully qualified hostname set, it would keep asking you to save your
	config file.

1999-11-09 04:16  xfmail

	* xfmail.vpj: CF - more work on re-writing the IO core.

1999-11-09 00:48  xfmail

	* xfmail.vpj: CF - Removed debug prints from the header rule bug
	hunt.

1999-11-08 19:24  xfmail

	* xfmail.vpj: CF - shouldn't crash anymore on the flock bug, but
	you will get a dialog saying it can't lock.

1999-11-07 23:10  xfmail

	* xfmail.vpj: CF - started the internal redesign of the core.

1999-11-07 22:27  xfmail

	* xfmail.vpj: CF - Finished the transition to ANSI C++ compatible
	code.  Also moved to the new cfgfile class.

1999-11-07 04:59  xfmail

	* xfmail.vpj: CF - removing more bugs to get it to compile with an
	ANSI C++ compiler.

1999-11-06 05:13  xfmail

	* xfmail.vpj: CF - I have moved a long way torward where I want to
	go.  I'm uploading the source even though it won't compile just so
	the last 8 hours won't be invain if something happens to my
	computer..  Man I'm tired......

1999-11-05 19:35  xfmail

	* Changes: CF - updated the change log.

1999-11-05 19:26  xfmail

	* xfmail.vpj: patch from [Jim Bowen jimb@zereau.net]	 -Clean up
	patch for the IMAP panel preview feature

1999-11-04 20:11  xfmail

	* Changes, Makefile.in, xfmail.vpj: 11-4-1999
	
	Header bug finally fixed.  I'm leaving a bunch of debugging in just
	incase	   other problems arise.
	
	patch from [Jim Bowen jimb@zereau.net]	   -adds the XF-Source:
	header for IMAP mails (I'm not too sure if	this is a good
	thing, but it is necessary to be able to determine	the source
	of the mail for the config patch)     -adds a per-mail-account
	config option for download for preview	   -downloads the mail (if
	configured to do so) when you try      to preview an email for
	which you have headers only

1999-11-03 18:55  xfmail

	* Changes: CF - Updated the Changes file.

1999-11-03 18:44  xfmail

	* configure: patch from [Rastislav Stanik rastos@a403.woctn.sk]
	
	- incorrectly ifdef-ed select() for HPUX ( impacts ./configure
	script) - number of inconsistent function declarations in .h and .c
	files

1999-11-03 18:37  xfmail

	* xfmail.vpj: CF - fixed a slight problem with the previous UID
	patch.

1999-11-02 23:05  xfmail

	* Makefile: CF - removed this file from the repository..

1999-11-02 22:57  xfmail

	* Makefile: CF - Bug fixing the code I cleaned up

1999-11-02 22:42  xfmail

	* Makefile: CF - last of code clean ups for now.  Put a bug in the
	pop code....gotta go find it now..

1999-11-02 17:45  xfmail

	* Makefile, xfmail.vpj: patch from [darko.doruga@hermes.si] This
	patch should fix the problems, but with this patch flags follow UID
	w/o any spaces after the UID. I am not sure if this is how you like
	it or not, it's an easy thing to fix however. Let me know if you
	want this changed.

1999-10-29 23:23  xfmail

	* Changes: CF - removed the tag for 1.5

1999-10-29 21:54  xfmail

	* xfmail.vpj: CF - Finally stomped out the Solaris POP bug.

1999-10-29 04:51  xfmail

	* Changes, Makefile, xfmail.vpj: patch from [alan@ufies.org
	wim@netmaster.ca] Fixes the two new options on the ConfigDisplay
	from overlapping one another.

1999-10-28 20:17  xfmail

	* Makefile, xfmail.spec, xfmail.vpj: 10-28-1999
	
	patch from [Jarto Tarpio jarto@starsoft.fi] Added two new
	checkboxes to the settings: Confirm delivery and    Confirm reading
	to change the default settings in the mail writing    window. (not
	in cvs yet)
	
	May have fixed the SIGBUS from an over run buffer in host_connect. 
	I need	  Julian C. Dunn <jdunn@matrox.com> to test this out and
	report back since it	was his bug. (not in cvs yet)
	
	patch from [Juergen Vigna jug@sad.it]	      Fixes for
	compatibility with XForms 0.89. (not in cvs yet)

1999-10-28 01:00  xfmail

	* Makefile: patch from [darko.doruga@hermes.si]  Sorting by UID: to
	add this feature I had to add another record	called real_uid to
	msg structure. XFmail already has record called    uid but that is
	only correct in case you're dealing with MH folder,    for mbox
	folder it contains offset into mbox file. I added UID button	to
	Misc->Config Display and also Folder->Options dialogs. I have	
	tested this with mbox and MH folders, IMAP and POP3 would need some
	   work for this feature to work correctly!  Displaying of message
	UID: this one is simple, I added UID size to	Misc->Config
	Display dialog, default is 0 so users will not see this    change. 
	 Correct handling of MH filenames: this is the most important
	change	   for me. With default XFmail behaviour there is a bug
	when generating     a new filename. In case you have messages
	(files) numbered 1,2 and 10	next file will be named 3 which is
	obviously wrong.

1999-10-26 20:49  cfreeze

	* Makefile, xfmail.vpj: CF - moving source to xfmail.ufies.org

1999-10-25 00:39  cfreeze

	* Makefile: CF - Fixed the makefile to copy the libregex lib...some
	how this got passed me and might be the reason it was crashing for
	some..

1999-10-25 00:06  cfreeze

	* KNOWNBUGS: CF - added warning about the rules not working and
	needing to re-enter them for them to start working again.

1999-10-25 00:04  cfreeze

	* Changes, Makefile, Makefile.in, xfmail.spec: CF - Changed to
	different Pixmaps and set everything for the release of 1.4.0

1999-10-24 19:46  cfreeze

	* Makefile, Makefile.in, xfmail.spec, xfmail.vpj: CF - Added a
	patch for GnuPG from Davide Alberani <alberanid@bigfoot.com>

1999-10-24 18:57  cfreeze

	* Makefile, Makefile.in, xfmail.spec, xfmail.vpj: CF - Fixed the
	outbox problem on sendmail.  Released 1.3.9.

1999-10-23 22:14  cfreeze

	* Makefile, README, xfmail.vpj: CF - You can now edit and view
	messages of any size.  Fixed the WMaker.h include file problem.

1999-10-23 19:52  cfreeze

	* Makefile, Makefile.in: CF - Now make dist updates the ChangeLog
	file.  Also fixed the WMaker.h include file problem.

1999-10-22 23:25  cfreeze

	* Makefile, Makefile.in, xfmail.vpj: Released 1.3.6
	
	Resolving hostnames are now timed like they used to be with the
	async_gethostbyname but with threads.  You can still compile
	without threads but it is getting to the point where I want to make
	it a requirement.
	
	Rules are now done correctly for all send types not just pop
	anymore.

1999-10-22 19:19  cfreeze

	* Changelog, README, TODO: CF - Did a quick clean up on the
	documentation.

1999-10-22 19:03  cfreeze

	* Makefile, Makefile.in, xfmail.vpj: CF - Fixed the lockup when
	xfmail first starts and tries getting the local machine's hostname.

1999-10-22 03:44  cfreeze

	* Makefile, Makefile.in, xfmail.vpj: CF - Fixed rules bug.  Rules
	should now work again.	I had to use the regex code that was in the
	xfmail source.	It needs to be redone with the POSIX regex stuff
	instead.  But I'll leave that for the future..

1999-10-21 21:54  cfreeze

	* Makefile, xfmail.vpj: CF - Added some mutual exclusion to allow
	only one send thread to be created at a time. Also started going
	through and cleaning up the Gnupg code.

1999-10-21 19:53  cfreeze

	* Makefile, configure, xfmail.spec: Also added an option to
	configure.  (--with-nothreads) Now you can disable the thread
	support if you are having problems while trying to send.
	
	Now checks for pthread support and only compiles it in if you have
	it.
	
	Updated the configure.in script.  It will now take care of the
	problems with the Berkley or GNU dbm packages.
	
	No longer sends ~/.xfmsources on bug reports since it carried
	sensitive information.
	
	Formally adopting the following policy on version numbers.	   
	All releases will follow the Linux Kernel Naming Scheme 	   
	     (MajorVersion.MinorVersion.ReleaseVersion) 		 As
	such, MinorVersion's that are even represent a stable		   
		   release.		     And in the same manor,
	MinorVersion's that are odd represent			      
	development releases.	       For those that live on the edge, the
	current version (whether stable 		 or development
	release) will also have a daily snapshot		 
	associated with it. It's form will be:			       
	(Major.Minor.Release.Year-Month-Day)
	
	Removed Patchlevel mumbo jumbo.
	
	Fixed the signature prefix to be correct [Florian Batschi
	<florian@batschi.com>].  10-20-1999 found the netscape paste bug
	myself...now I have it..  ......wierd...
	
	also know why it was a async_gethostbyname function call...  going
	to make it be threaded instead of an async type logic.
	
	started an irc channel on irc.isonline.com channel is #xfmail
	
	Alan Bailward gave me a configure.in file to take care of the #if
	defines that some of the non-linux users were complaining about...
	
	changed some of the pixmaps to look "kewler" ... blea...

1999-10-19 21:19  cfreeze

	* Makefile, Makefile.in, configure, xfmail.spec, xfmail.vpj: CF -
	You can now receive messages of any size. (pop) You are no notified
	if an incoming message is left on the server due to it violating
	the maximum message size. (pop) Built an rpm using the freshmeat
	spec file.  Finally have the bugs worked out of the make file. 
	Removed some silly stuff.

1999-10-19 17:43  cfreeze

	* xfmail.vpj: Changes

1999-10-19 13:56  cfreeze

	* xfmail.vtg: CF - Removed the project binary file.

1999-10-19 13:52  cfreeze

	* TODO, Changelog, Copyright, KNOWNBUGS, Makefile, Makefile.in,
	README, README.os2, configure, install.sh, xfmail.vtg, xfmail.vpj:
	Initial revision

1999-10-19 13:52  cfreeze

	* TODO, Changelog, Copyright, KNOWNBUGS, Makefile, Makefile.in,
	README, README.os2, configure, install.sh, xfmail.vtg, xfmail.vpj:
	Imported using tkCVS

